<?php

class View_offer extends CI_Controller {
	
	public function id($id = 1) {
		
		checkInt($id);
		$this->db->where("id", $id);
		if($this->user_model->isAdmin() === FALSE)
			$this->db->where("type", "1");
		$query = $this->db->get("offers");
		if($query->num_rows() == 0){
			show_404();
			return;
		}
		
		$this->load->model("offer/info_model", "offerInfo");
				
		$this->load->view("template/user/".$this->user_model->type."/head", array(
				"title" => "Просмотр"				
		));
		
		$this->db->select(""
			. "offers.*, "
                        . "(SELECT COUNT(*) FROM offers_private WHERE offer_id=offers.id AND user_id='".$this->user_model->info->id."') AS add_private, "
			. "(SELECT COUNT(*) FROM my_offers WHERE offer_id=offers.id AND user_id=".$this->db->escape($this->user_model->info->id).") AS is_my")
			->where("id", $id)
			->from("offers");
		$query = $this->db->get();
		
                $info=$query->row();
                $info->price_currency_title=$this->offerInfo->getCurrencyTitle($info->price_currency);
                
		$this->load->view("pages/offer/view", array(
				"info" => $info,
				"goals" => $this->offerInfo->getGoals($id),
				"pages" => $this->offerInfo->getPages($id),
				"gaskets" => $this->offerInfo->getGaskets($id),
				"news"	=> $this->db->where("offer_id", $query->row()->id)->order_by("added", "DESC")->get("news")
		));
		
		$this->load->view("template/user/".$this->user_model->type."/foot");
		
	}
	
}

