<?php

class Add_News extends CI_Controller{
	
	function index(){	
		$this->load->library('form_validation');

		$this->form_validation->set_rules('offer_id', 'id', 'callback_check_offer');
		$this->form_validation->set_rules('name', 'тема', 'trim|required|max_length[100]|htmlspecialchars');
		$this->form_validation->set_rules('descr', 'текст', 'trim|required|htmlspecialchars');

		if ($this->form_validation->run() == FALSE)
		{	
			$data = array(
					'title' => 'Создание новости'
				);
			$info = array(
			    "offers"	=>	$this->db->get("offers")->result()
			);

			$this->load->view("template/user/".$this->user_model->type."/head", $data);
			$this->load->view("pages/user/".$this->user_model->type."/news/add_news", $info);
			$this->load->view("template/user/".$this->user_model->type."/foot");
		}
		else 
		{
			$this->load->model("user/admin/news_model");
			//оповещение
			$alert = $this->input->post("alert") == "on" ? true : false;
			$this->news_model->add_new($this->input->post('offer_id'), $this->input->post('name'), $this->input->post('descr'), $alert);
			
			redirect(base_url()."admin/news");
		}
	}
	
}