<?php

class Take_moderation extends CI_Controller {

	function solve($id = 0) {
		$this->security_model->checkInt($id);

		$query = $this->db->get_where('offers', array('id' => $id));

		if($query->num_rows() == 0) {
			show_404();
		}
		else {
			$this->db->where('id', $id);
			$this->db->update('offers', array('type' => '1'));
			redirect(base_url()."offer/view/id/".$id);
		}
	}
	
	function stop($id = 0) {
		$this->security_model->checkInt($id);

		$query = $this->db->get_where('offers', array('id' => $id));

		if($query->num_rows() == 0) {
			show_404();
		}
		else {
			$this->db->where('id', $id);
			$this->db->update('offers', array('type' => '0'));
			redirect(base_url()."offer/view/id/".$id);
		}
	}

	function forbid($id = 0) {
		$this->security_model->checkInt($id);

		$query = $this->db->get_where('offers', array('id' => $id));

		if($query->num_rows() == 0) {
			show_404();
		}
		else {
			$this->db->where('id', $id);
			$this->db->update('offers', array('type' => '-1'));
			redirect(base_url()."offer/view/id/".$id);
		}
	}
}

?>