<?php

class Settings_admin extends CI_Controller {

    public function index() {
        $this->load->library("form_validation");
        $data = array(
            "title" => "Настройки аккаунта",
            "getform" => "settings/go"
        );

        $data2 = array(
            "row" => $this->user_model->info
        );

        $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
        $this->load->view("pages/user/" . $this->user_model->type . "/settings/settings", $data2);
        $this->load->view("template/user/" . $this->user_model->type . "/foot");
    }

    public function go() {
        $info = array(
            "login" => checkStr($this->input->post("login"))
            , "email" => checkStr($this->input->post("email"))
            , "phone" => checkStr($this->input->post("phone"))
            , "skype" => checkStr($this->input->post("skype"))
            , "icq" => checkStr($this->input->post("icq"))
        );

        $new_password = $this->input->post("new_password");
        if ((isset($new_password)) and ($new_password!='')) {
            $new_password=checkStr($new_password);
            $info['passhash'] = $this->user_model->getMD5($new_password);
        }
        
        $this->db->where("id", $this->user_model->info->id)
                ->update("users", $info);
        redirect(base_url() . "admin/settings");
    }

}
