<?php

class Edit_Admin extends CI_Controller {
	
	public function index($id = 0, $type = 'webmaster'){
		
		checkInt($id);
		
		$query = $this->db->where("id", $id)->get("users");
		if($query->num_rows() == 0)
		{
			show_404();
			return;
		}
		$row = $query->row();
		
		$this->load->library("form_validation");
		$data = array(
		    "title" => "Настройки аккаунта",
                    "getform"=>base_url()."admin/user/edit/go",
                    "type"  =>  $type
		);
                
                if($type == "advert")
                    $data["getform"] = base_url()."admin/user/edit/edit_advert";
		
                $this->load->view("template/user/".$this->user_model->type."/head", $data);
                if($type == "advert")
                    $this->load->view("pages/user/advertiser/settings/settings", array("row" => $row));
                else
                    $this->load->view("pages/user/webmaster/settings/settings", array("row" => $row));
                $this->load->view("template/user/".$this->user_model->type."/foot");

	}
        
        public function go(){
                        $id = (int)$this->input->post("user_id");
			$info = array(
				"login"		=>      checkStr($this->input->post("login"))
				, "phone"	=>	checkStr($this->input->post("phone"))
				, "skype"	=>	checkStr($this->input->post("skype"))
                                , "icq"	=>              checkStr($this->input->post("icq"))
				, "email"	=>	checkStr($this->input->post("email"))
                                , "wmr"         =>	checkStr($this->input->post("wmr"))
				, "hold_days"	=>	checkStr($this->input->post("hold_days"))
			);
			$this->db->where("id", $id)
				->update("users", $info);
			redirect(base_url() . "admin/user/edit/start/".$id);            
        }
        
        public function edit_advert(){
                        $id = (int)$this->input->post("user_id");
			$info = array(
				"name"		=>      checkStr($this->input->post("name"))
                                , "surname"	=>	checkStr($this->input->post("surname"))
				, "phone"	=>	checkStr($this->input->post("phone"))
				, "skype"	=>	checkStr($this->input->post("skype"))
				, "email"	=>	checkStr($this->input->post("email"))
                                , "money"	=>	checkStr($this->input->post("money"))
                                , "api_key"	=>	checkStr($this->input->post("api_key"))
			);
			$this->db->where("id", $id)
				->update("users", $info);
			redirect(base_url() . "admin/user/edit/start/".$id."/advert");   
        }
        
        public function change_type($user_id, $type = '0'){
            $this->db->where("id", $user_id)->update("users", array("type" => $type));
            redirect(base_url() . "admin/users");
        }
	
}
