<?php

class List_admin extends CI_Controller{
	
	public function index(){
		
		$data = array(
		    "title"	=>	"Список вебмастеров"
		);
		$this->load->view("template/user/admin/head", $data);
		
		$this->db->select("users.*"
			. ", (SELECT SUM(money) FROM hold_money WHERE user_id=users.id and hold_money.paid='0') AS hold_money"
			. ", (SELECT SUM(sum) FROM payments WHERE paid='0' AND user_id=users.id) AS on_payment"
            . ", (SELECT SUM(sum) FROM payments WHERE paid='1' AND user_id=users.id) AS yes_payment")
			->where("type", "0")
			->from("users")
			->order_by("reg_date", "DESC");
		$query = $this->db->get();
		$info = array(
		    "result"	=>	$query
		);
		
		$this->load->view("pages/user/admin/user/list_webmasters", $info);
		$this->load->view("template/user/admin/foot");
		
	}
	
	public function go_login_to_user($id = 0){
		checkInt($id);
		$query = $this->db->get_where("users", array("id" => $id));
		if($query->num_rows() == 0)
			show_404 ();
		else
		{
			$row = $query->row();
			$this->load->model("login_model");
			$this->login_model->go($row->email, $row->passhash);
			redirect(base_url());
		}
	}
	
	public function advertisers(){

		$data = array(
		    "title"	=>	"Список рекламодателей и офферов"
		);
		$this->load->view("template/user/admin/head", $data);
		
		$this->db->select("o.name AS offer_name, o.id, u.status, "
			. "u.id AS user_id, u.name, u.surname, u.money, u.email")
			->from("offers AS o")
			->join("users AS u", "u.id=o.user_id", "right")
                        ->where("u.type", "1")
                        ->where("u.status", "1");
		$query = $this->db->get();
		$users = array();
		foreach($query->result() AS $row){
			$users[$row->user_id]["offers"][] = array(
			    "offer_name"	=>	$row->offer_name,
			    "offer_id"		=>	$row->id
			);
			if(!in_array("info", $users[$row->user_id]))
			{
				$users[$row->user_id]["info"] = array(
				    "user_id"	=>	$row->user_id,
				    "user_name"	=>	($row->name . " " . $row->surname == " " ? "Без имени" : $row->name . " " . $row->surname),
				    "email"	=>	$row->email,
                                    "status"	=>	$row->status
				);
			}
		}
		$this->load->view("pages/user/admin/user/list_advertisers", array("users" => $users));
		$this->load->view("template/user/admin/foot");
		
	}
	
}