<?php

class Orders_advertiser extends CI_Controller {
	
	public function index(){
		$data = array(
				'title' => 'Заказы'
		);

		$this->load->view("template/user/".$this->user_model->type."/head", $data);
		
		$this->db->select("r.dop_info, o.name As offer_name, ro.*, transits.ip as transit_ip ")
			->from("requests_orders ro")
			->join("requests r", "r.id=ro.request_id", "left")
			->join("offers o", "o.id=r.offer_id", "left")
                        ->join("transits", "transits.id=r.transit_id ", "left")
			->where("o.user_id", $this->user_model->info->id)
                        ->where("r.status", "1")                
			->where("ro.fio !=", "")
			->order_by("r.id", "DESC");
		$query = $this->db->get();
		$data = array(
		    "orders"	=>	$query->result()
		);
		
		$this->load->view("pages/user/".$this->user_model->type."/stat/orders", $data);
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}
	
}
