<?php

class My_Webmaster extends CI_Controller {

    public function index() {
        $this->load->model("user/webmaster/offer_model", "offer_model");
        $this->load->model("offer/info_model", "offer_info");
        $this->load->helper("stat_helper");
        $data = array(
            "title" => "Мои офферы"
        );
        $this->load->view("template/user/" . $this->user_model->type . "/head", $data);

        $result = $this->offer_model->getOffersForUser($this->user_model->info->id)->result();

        foreach ($result as $res) {
            $res->price_currency_title = $this->offer_info->getCurrencyTitle($res->price_currency);
            $result2[] = $res;
        }

        $info = array(
            "result" => $result2,
            "type" => "myweb"
        );
        $this->load->view("pages/offer/list", $info);
        $this->load->view("template/user/" . $this->user_model->type . "/foot");
    }

}
