<?php

class Operation_Webmaster extends CI_Controller{
	
	public function add($id = 0){
		checkInt($id);
        $query = $this->db->get_where("offers", array("id"=>$id));
		if($query->num_rows() == 0)
		{
			show_404();
			return;
		}
        $row = $query->row();
        if($row->private == "1"){
            $q = $this->db->where("offer_id", $row->id)->where("user_id", $this->user_model->info->id)->get("offers_private");
            if($q->num_rows() == 0)
            {
                show_404();
                return;
            }
        }
		$this->load->model("user/webmaster/offer_model");
		$this->offer_model->addNewOfferToMe($id);
		redirect(base_url() . "offer/view/id/" . $id);
	}
	
	public function delete($id = 0){
		checkInt($id);
		if($this->db->get_where("offers", array("id"=>$id))->num_rows() == 0)
		{
			show_404();
			return;
		}		
		$this->load->model("user/webmaster/offer_model");
		$this->offer_model->removeOfferToMe($id);
		redirect(base_url() . "offer/list");
	}
	
}