<?php

class Settings_webmaster extends CI_Controller {

    public function index() {
        $this->load->library("form_validation");
        $data = array(
            "title" => "Настройки аккаунта",
            "getform" => "settings/go"
        );

        $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
        $this->load->view("pages/user/" . $this->user_model->type . "/settings/settings");
        $this->load->view("template/user/" . $this->user_model->type . "/foot");
    }

    public function go() {
        $info = array(
            "login" => checkStr($this->input->post("login"))
            , "phone" => checkStr($this->input->post("phone"))
            , "skype" => checkStr($this->input->post("skype"))
            , "wmr" => checkStr($this->input->post("wmr"))
        );

        $new_password = $this->input->post("new_password");
        if ((isset($new_password)) and ( $new_password != '')) {
            $new_password = checkStr($new_password);
            $info['passhash'] = $this->user_model->getMD5($new_password);
        }

        $this->db->where("id", $this->user_model->info->id)
                ->update("users", $info);
        redirect(base_url() . "webmaster/settings");
    }

}
