<?php

class Login_model extends CI_Model {

    public function goLogin($email, $password) {
        $passhash = $this->user_model->getMD5($password);
        $res = $this->user_model->getUserInfo(
                array(
                    "email" => $email,
                    "passhash" => $passhash
                )
        );
        if ($res->num_rows() > 0) {
            $this->session->set_userdata("email", $email);
            $this->session->set_userdata("passhash", $passhash);
            $result=$res->result();
            $this->addUserLog($result[0]->id);
            return true;
        }
        return false;
    }

    public function go($email, $passhash) {
        $this->session->set_userdata("email", $email);
        $this->session->set_userdata("passhash", $passhash);
        return true;
    }

    public function logout() {
        $this->session->unset_userdata('passhash');
        return true;
    }

    function addUserLog($user_id) {
        $info = array(
            'user_id' => $user_id,
            'date_time' => date('Y-m-d H:i:s'),
            'user_ip' => ip2long($_SERVER["REMOTE_ADDR"])
        );
   
        $this->db->insert('users_log', $info);
    }

}
