<?php

class Offer_Model extends CI_Model{
	
	public function addNewOfferToMe($offer_id){
		$this->load->model("url_model");
		//$domen = config_item("small_urls");
		$data = array(
		    "offer_id"	=> $offer_id,
		    "user_id"	=> $this->user_model->info->id,
		);
		$this->db->insert("my_offers", $data);
		return true;
	}
	
	public function removeOfferToMe($offer_id){
		$this->db->delete("my_offers", array(
		    "offer_id" => $offer_id, 
		    "user_id" => $this->user_model->info->id
		));
	}
	
	public function getOffersForUser($id = 0){
		$this->db->select("offers.*, (SELECT COUNT(*) FROM transits WHERE offer_id=offers.id) AS transits, "
			. "(SELECT COUNT(*) FROM requests WHERE offer_id=offers.id) AS requests, "
			. "(SELECT SUM(profit) FROM requests WHERE offer_id=offers.id) AS profits")
			->where("my.user_id", $id)
			->where("offers.id >", "0")
			->from("my_offers AS my")
			->join("offers", "offers.id = my.offer_id", "left");
		$query = $this->db->get();
		return $query;
	}
	
}