<h3>Создание новости</h3>

<link rel="stylesheet" href="<?=base_url();?>app/vendor/chosen/chosen.min.css">

<div class="panel panel-default">
	<div class="panel-body">

		<?php echo validation_errors(); ?>

		<form method="POST">
			<div class="form-horizontal">
			
				<fieldset>
					<div class="form-group">
						<label class="col-sm-2 control-label">Название</label>
						<div class="col-sm-8">
							<input type="text" name="name" class="form-control" required />
						</div>
					</div>	
				</fieldset>
				<fieldset>
					<div class="form-group">
						<label class="col-sm-2 control-label">Описание</label>
						<div class="col-sm-8">
							<textarea required name="descr" class="form-control" rows="5"></textarea>
						</div>
					</div>	
				</fieldset>
				<fieldset>
					<div class="form-group">
						<label class="col-sm-2 control-label">Оффер</label>
						<div class="col-sm-4">
							<select name="offer_id" class="form-control chosen-select">
								   <option value="0">Любой</option>
								   <?php foreach($offers AS $offer):?>
									<option value="<?=$offer->id;?>"><?=$offer->name;?></option>
								   <?php endforeach;?>
							</select>
						</div>
					</div>	
				</fieldset>
				<fieldset>
					<div class="col-sm-2"></div>
					<div class="col-sm-10">
						<div class="checkbox c-checkbox">
							<label>
								<input type="checkbox" name="alert">
								<span class="fa fa-check"></span>Оповестить на Email
							</label>
						</div>
					</div>
				</fieldset>
				<fieldset>
					<div class="form-group">
					   <div class="col-sm-8 col-md-offset-2">
						   <button type="submit" class="btn btn-default">Создать</button>
					   </div>
					</div>
				</fieldset>
			</div>
		</form>

	</div>
</div>