<script src="<?= base_url(); ?>app/vendor/slider/js/bootstrap-slider.js"></script>
<script src="<?= base_url(); ?>app/vendor/chosen/chosen.jquery.min.js"></script>
<script src="<?= base_url(); ?>app/vendor/filestyle/bootstrap-filestyle.min.js"></script>   
<script src="<?= base_url(); ?>app/vendor/slimscroll/jquery.slimscroll.min.js"></script> 

<script src="<?= base_url(); ?>app/vendor/wizard/js/bwizard.min.js"></script>
<script src="<?= base_url(); ?>app/vendor/parsley/parsley.min.js"></script>
<link rel="stylesheet" href="<?= base_url(); ?>app/vendor/slider/css/slider.css" />
<link rel="stylesheet" href="<?= base_url(); ?>app/vendor/chosen/chosen.min.css" />
<link rel="stylesheet" href="<?= base_url(); ?>app/vendor/codemirror/lib/codemirror.css">

<!--CodeMirrot JS-->
<script src="<?= base_url(); ?>app/vendor/codemirror/lib/codemirror.js"></script>
<script src="<?= base_url(); ?>app/vendor/codemirror/addon/mode/overlay.js"></script>
<script src="<?= base_url(); ?>app/vendor/codemirror/mode/gfm/gfm.js"></script>
<script src="<?= base_url(); ?>app/vendor/marked/marked.js"></script>

<h3><?= $title; ?></h3>

<script>
    $(document).ready(function () {
        var goals = [];
        var pages = [];
        var gaskets = [];
        window.ParsleyConfig = {
            excluded: 'input[type=button], input[type=submit], input[type=reset], [name="descr_dop"]',
            inputs: 'input, textarea, select, input[type=hidden], :hidden',
        };

        $("#formAddOffer").parsley();

        $("#buttonAddOffer").click(function () {
            $('[name="descr_dop"]').val($('textarea[data-uk-markdownarea]').data("markdownarea").preview.html());

        });
        /*
         * Pages
         */

        $("#newPage").click(function () {
            $("#newPageBlock").show();
            $(this).parent().parent().before($("#newPageBlock"));
            $(this).parent().parent().hide();
        });
        $("#newPageSave").click(function () {
            //if(false === $('#formAddGoal').parsley().validate('block1'))
            //	return;
            $("#newPageBlock").hide();
            $("#newPage").closest(".form-group").show();
            pages.push([$("#pageName").val(), $("#pageUrl").val()]);
            $("#pageBlock").find(".pageBlock").addClass("forRemove");
            $("#pageBlock").find("label").html($("#pageName").val());
            $("#pageBlock").find("p").html($("#pageUrl").val());
            $("#newPage").closest(".form-group").before($("#pageBlock").html());
            $("#pageBlock").find(".pageBlock").removeClass("forRemove");
            $("#newPageBlock input").val("");
            $("#delPage").removeClass("hide");
            $("#inputPages").val(JSON.stringify(pages));
        });
        $("#delPage").click(function () {
            pages.pop();
            $("#inputPages").val(JSON.stringify(pages));
            $(".pageBlock.forRemove").last().remove();
            if ($(".pageBlock.forRemove").size() == 0)
                $("#delPage").addClass("hide");
        });

        /*
         * Gaskets
         */

        $("#newGasket").click(function () {
            $("#newGasketBlock").show();
            $(this).parent().parent().before($("#newGasketBlock"));
            $(this).parent().parent().hide();
        });
        $("#newGasketSave").click(function () {
            //if(false === $('#formAddGoal').parsley().validate('block1'))
            //	return;
            $("#newGasketBlock").hide();
            $("#newGasket").closest(".form-group").show();
            gaskets.push([$("#gasketName").val(), $("#gasketUrl").val()]);
            $("#gasketBlock").find(".gasketBlock").addClass("forRemove");
            $("#gasketBlock").find("label").html($("#gasketName").val());
            $("#gasketBlock").find("p").html($("#gasketUrl").val());
            $("#newGasket").closest(".form-group").before($("#gasketBlock").html());
            $("#gasketBlock").find(".gasketBlock").removeClass("forRemove");
            $("#newGasketBlock input").val("");
            $("#delGasket").removeClass("hide");
            $("#inputGaskets").val(JSON.stringify(gaskets));
        });
        $("#delGasket").click(function () {
            gaskets.pop();
            $("#inputGaskets").val(JSON.stringify(gaskets));
            $(".gasketBlock.forRemove").last().remove();
            if ($(".gasketBlock.forRemove").size() == 0)
                $("#delGasket").addClass("hide");
        });

        /*
         * Goals
         */

        $("#newGoal").click(function () {
            $("#newGoalBlock").show();
            $(this).parent().parent().before($("#newGoalBlock"));
            $(this).parent().parent().hide();
        });
        $("#newGoalSave").click(function () {
            //if(false === $('#formAddGoal').parsley().validate('block1'))
            //	return;
            $("#newGoalBlock").hide();
            $("#newGoal").closest(".form-group").show();
            goals.push([$("#goalName").val(), $("#goalPrice").val(), $("#goalPriceWeb").val(), $("#price_currency").val(), $("#real_price_currency").val()]);
            $("#goalBlock").find(".goalBlock").addClass("forRemove");
            $("#goalBlock").find("label").html($("#goalName").val());
            $("#goalBlock").find("p").html($("#goalPrice").val());
            $("#newGoal").closest(".form-group").before($("#goalBlock").html());
            $("#goalBlock").find(".goalBlock").removeClass("forRemove");
            $("#newGoalBlock input").val("");
            $("#delGoal").removeClass("hide");            
            $("#inputGoals").val(JSON.stringify(goals));
        });
        $("#delGoal").click(function () {
            goals.pop();
            $("#inputGoals").val(JSON.stringify(goals));
            $(".goalBlock.forRemove").last().remove();
            if ($(".goalBlock.forRemove").size() == 0)
                $("#delGoal").addClass("hide");
        });
    });
</script>

<!-- START panel-->
<div class="panel panel-default">
    <div class="panel-body">
        <form id="formAddOffer" enctype="multipart/form-data" action="" method="POST">
            <div class="form-horizontal">
                <fieldset>
                    <legend>Описание</legend>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Название</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="name" required />
                        </div>
                    </div>
                </fieldset>

                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Цена</label>
                        <div class="col-sm-2">
                            <input type="text" class="form-control" name="price" required />
                        </div>
                        <div class="col-sm-2">
                                <select name="currency" class="form-control">
                                    <option value="0">руб</option>
                                    <option value="1">тг</option>
                                    <option value="2">грн</option>
                                    <option value="3">$</option>
                                </select>                     
                        </div>                          
                        <label class="col-sm-2 control-label">Рекламодатель</label>
                        <div class="col-sm-3">
                            <select name="advertiser_id" class="form-control" required>
                                <option value="" selected></option>
                                <?php foreach($adverts as $advert) { ?>
                                <option value="<?=$advert->id?>" ><?=$advert->name?> <?=$advert->surname?> </option>  
                                <?php } ?>
                            </select>                                                         
                        </div>
                    </div>
                </fieldset>
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Приватный?</label>
                        <div class="col-sm-4">
                            <div class="radio c-radio inline">
                                <label>
                                    <input type="radio" name="private" value="on">
                                    <span class="fa fa-circle"></span>Да</label>
                            </div>
                            <div class="radio c-radio inline">
                                <label>
                                    <input type="radio" name="private" value="off" checked>
                                    <span class="fa fa-circle"></span>Нет</label>
                            </div>                         
                        </div>
                    </div>
                </fieldset> 
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Категория</label>
                        <div class="col-sm-3">
                            <select name="cat" class="form-control">
                                <?php foreach (config_item("cats") AS $key => $value): ?>
                                    <option value="<?= $key; ?>"><?= $value; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>				
                    </div>
                </fieldset>
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Логотип</label>
                        <div class="col-sm-4">
                            <input name="logotip" type="file" class="filestyle input-append" data-parsley-errors-container=".errorBlock.logotip" required data-icon="false">
                            <div class="errorBlock logotip"></div>
                            <p>Квадратное изображение,<BR />
                                до 1000х1000px, до 1мб</p>
                        </div>					
                    </div>
                </fieldset>                
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Краткое описание</label>
                        <div class="col-sm-9">
                            <textarea required data-parsley-errors-container=".errorBlock.small_descr" class="form-control" name="small_descr" rows="5" class="col-md-12"></textarea>
                            <div class="errorBlock small_descr"></div>
                        </div>
                    </div>							
                </fieldset>
                <!--
               <fieldset>
                       <div class="form-group">
                               <label class="col-sm-2 control-label">Описание</label>
                               <div class="col-sm-8">
                                       <input type="hidden" name="descr_dop" />
                                       <textarea id="descr" required data-parsley-errors-container=".errorBlock.descr" data-uk-markdownarea="{mode:'tab', htmlMode: true}" name="descr"></textarea>
                                       <div class="errorBlock descr"
                               </div>
                       </div>							
               </fieldset>-->

                <!--Начало Условия-->

                <fieldset>
                    <legend>Условия</legend>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">География</label>
                        <div class="col-sm-4">
                            <select name="countries[]" multiple="multiple" class="form-control chosen-select" required data-parsley-errors-container=".errorBlock.countries">
                                <?php foreach (config_item("countries") AS $key => $value): ?>
                                    <option value="<?= $key; ?>"><?= $value; ?></option>
                                <?php endforeach; ?>
                            </select>
                            <div class="errorBlock countries"></div>
                        </div>
                    </div>							
                </fieldset>
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Источники трафика</label>
                        <div class="col-sm-4">
                            <select name="traffics[]" multiple="multiple" class="form-control chosen-select" required data-parsley-errors-container=".errorBlock.traffics">
                                <option value="Веб-сайты">Веб-сайты</option>
                                <option value="Дорвеи">Дорвеи</option>
                                <option value="Контекстная реклама">Контекстная реклама</option>
                                <option value="Контекстная реклама на бренд">Контекстная реклама на бренд</option>
                                <option value="Тизерная реклама">Тизерная реклама</option>
                                <option value="Таргетированная реклама">Таргетированная реклама</option>
                                <option value="Социальные сети">Социальные сети</option>
                                <option value="Email рассылка">Email рассылка</option>
                                <option value="CashBack">CashBack</option>
                                <option value="ClickUnderPopUnder">ClickUnder/PopUnder</option>
                                <option value="Брокеры">Брокеры</option>
                            </select>
                            <div class="errorBlock traffics"></div>
                        </div>
                    </div>							
                </fieldset>	
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Постклик</label>
                        <div class="col-sm-4">
                            <input name="postclick" type="text" value="30" data-slider-min="5" data-slider-max="60" data-slider-step="1" data-slider-value="30" data-slider-orientation="horizontal" class="slider slider-horizontal form-control">
                        </div>
                    </div>							
                </fieldset>	

                <!--Конец Условия-->
                <!--Начало целевая аудитория-->
                <fieldset>
                    <legend>Целевая аудитория</legend>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Пол</label>
                        <div class="col-sm-4">
                            <div class="radio c-radio inline">
                                <label>
                                    <input type="radio" name="sex" value="1" required>
                                    <span class="fa fa-circle"></span>Мужчины</label>
                            </div>
                            <div class="radio c-radio inline">
                                <label>
                                    <input type="radio" name="sex" value="2">
                                    <span class="fa fa-circle"></span>Женщины</label>
                            </div>		
                            <div class="radio c-radio inline">
                                <label>
                                    <input type="radio" name="sex" value="0" checked>
                                    <span class="fa fa-circle"></span>Все</label>
                            </div>	
                            <div class="errorBlock sex"></div>
                        </div>
                    </div>
                </fieldset>
                <fieldset>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Возраст</label>
                        <div class="col-sm-4">
                            <input name="age" type="text" value="18,40" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="[18,40]" class="slider form-control">				
                        </div>
                    </div>				
                </fieldset>
                <!--Конец целевая аудитория-->
                <!--Начало страницы-->
                <fieldset>
                    <legend>Страницы</legend>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-4">
                            <input type="hidden" name="pages" id="inputPages" value="" required data-parsley-errors-container=".errorBlock.pages" />
                            <button id="newPage" class="btn btn-default btn-labeled btn-sm" type="button"><span class="btn-label"><i class="fa fa-plus-circle"></i></span>Новая страница</button>
                            <button id="delPage" class="btn btn-default btn-labeled btn-sm hide" type="button"><span class="btn-label"><i class="fa fa-times"></i></span>Удалить последнюю</button>
                            <div class="errorBlock pages"></div>
                        </div>
                    </div>
                </fieldset>		 
                <!-- Конец страницы -->
                <!--Начало прокладки-->
                <fieldset>
                    <legend>Прокладки</legend>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-6">
                            <input type="hidden" name="gaskets" id="inputGaskets" value="" />
                            <button id="newGasket" class="btn btn-default btn-labeled btn-sm" type="button"><span class="btn-label"><i class="fa fa-plus-circle"></i></span>Новая прокладка</button>
                            <button id="delGasket" class="btn btn-default btn-labeled btn-sm hide" type="button"><span class="btn-label"><i class="fa fa-times"></i></span>Удалить последнюю</button>
                        </div>
                    </div>
                </fieldset>		 
                <!-- Конец прокладки -->		 
                <!--Начало цели-->
                <fieldset>
                    <legend>Цели</legend>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-4">
                            <input type="hidden" name="goals" id="inputGoals" value="" required data-parsley-errors-container=".errorBlock.goals" />
                            <button id="newGoal" class="btn btn-default btn-labeled btn-sm" type="button"><span class="btn-label"><i class="fa fa-plus-circle"></i></span>Новая цель</button>
                            <button id="delGoal" class="btn btn-default btn-labeled btn-sm hide" type="button"><span class="btn-label"><i class="fa fa-times"></i></span>Удалить последнюю</button>
                            <div class="errorBlock goals"></div>
                        </div>
                    </div>
                </fieldset>	
                <!-- Конец цели -->

            </div>

            <div class="panel-footer text-center">
                <button type="submit" class="btn btn-info" id="buttonAddOffer">Добавить</button>
            </div>

        </form>
    </div>
</div>
<!-- END panel -->
<div class="hide">

    <div id="goalBlock">
        <div class="goalBlock">
            <div class="form-group">
                <label class="col-sm-2 control-label"></label>
                <div class="col-sm-4">
                    <p class="form-control-static"></p>
                </div>
            </div>
        </fieldset><fieldset>
</div>
</div>
<div id="newGoalBlock">
    </fieldset>
    <form id="formAddPage">
        <fieldset>			
            <div class="form-group">
                <label class="col-sm-2 control-label">Название</label>
                <div class="col-sm-4">
                    <input id="goalName" type="text" class="form-control" placeholder="Например: Подтвержденная заявка" data-parsley-group="block1" />
                </div>
            </div>
        </fieldset><fieldset>
            <div class="form-group form-inline">
                <label class="col-sm-2 control-label">Оплата за действие</label>
                <div class="col-sm-3">
                    <div class="input-group m-b">
                        <input id="goalPrice" type="text" class="form-control" placeholder="Например: 500" data-parsley-group="block1" data-parsley-type="integer" data-parsley-errors-container=".errorBlock.goalPrice">
                    </div>
                    <div class="errorBlock goalPrice"></div>
                </div>
                <div class="input-group m-b">
                        <select id="real_price_currency" class="form-control">
                            <option value="0">руб</option>
                            <option value="1">тг</option>
                            <option value="2">грн</option>
                            <option value="3">$</option>
                        </select>                     
                </div>                
            </div>	
        </fieldset><fieldset>
            <div class="form-group form-inline">
                <label class="col-sm-2 control-label">Оплата вебмастеру</label>
                <div class="col-sm-3">
                    <div class="input-group m-b">
                        <input id="goalPriceWeb" type="text" class="form-control" placeholder="Например: 500" data-parsley-group="block1" data-parsley-type="integer" data-parsley-errors-container=".errorBlock.goalPrice">
                    </div>
                    <div class="errorBlock goalPrice"></div>
                </div>
                <div class="input-group m-b">
                        <select id="price_currency" class="form-control">
                            <option value="0">руб</option>
                            <option value="1">тг</option>
                            <option value="2">грн</option>
                            <option value="3">$</option>
                        </select>                     
                </div>
            </div>					
        </fieldset>
    </form>	
    <fieldset>
        <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-4">
                <div class="input-group m-b">
                    <button id="newGoalSave" class="btn btn-default btn-labeled btn-sm" type="button"><span class="btn-label"><i class="fa fa-check"></i></span>Сохранить цель</button>
                </div>
            </div>
        </div>	
</div>

<div id="pageBlock">
    <div class="pageBlock">
        <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-4">
                <p class="form-control-static"></p>
            </div>
        </div>
    </fieldset><fieldset>
</div>
</div>
<div id="newPageBlock">
    </fieldset>
    <form id="formAddPage">
        <fieldset>			
            <div class="form-group">
                <label class="col-sm-2 control-label">Название</label>
                <div class="col-sm-4">
                    <input id="pageName" type="text" class="form-control" placeholder="Например: Название лендинга" data-parsley-group="block1" />
                </div>
            </div>
        </fieldset><fieldset>
            <div class="form-group">
                <label class="col-sm-2 control-label">Ссылка</label>
                <div class="col-sm-4">
                    <input id="pageUrl" type="text" class="form-control" placeholder="" data-parsley-group="block1" data-parsley-type="url" data-parsley-errors-container=".errorBlock.pageUrl">
                    <div class="errorBlock pageUrl"></div>
                </div>
            </div>	
        </fieldset>
    </form>	
    <fieldset>
        <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-4">
                <div class="input-group m-b">
                    <button id="newPageSave" class="btn btn-default btn-labeled btn-sm" type="button"><span class="btn-label"><i class="fa fa-check"></i></span>Сохранить страницу</button>
                </div>
            </div>
        </div>	
</div>

<div id="gasketBlock">
    <div class="gasketBlock">
        <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-4">
                <p class="form-control-static"></p>
            </div>
        </div>
    </fieldset><fieldset>
</div>
</div>

<div id="newGasketBlock">
    </fieldset>
    <form id="formAddPage">
        <fieldset>			
            <div class="form-group">
                <label class="col-sm-2 control-label">Название</label>
                <div class="col-sm-4">
                    <input id="gasketName" type="text" class="form-control" placeholder="Например: Название прокладки" data-parsley-group="block1" />
                </div>
            </div>
        </fieldset><fieldset>
            <div class="form-group">
                <label class="col-sm-2 control-label">Ссылка</label>
                <div class="col-sm-4">
                    <input id="gasketUrl" type="text" class="form-control" placeholder="" data-parsley-group="block1" data-parsley-type="url" data-parsley-errors-container=".errorBlock.gasketUrl">
                </div>
            </div>	
        </fieldset>
    </form>	
    <fieldset>
        <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-4">
                <div class="input-group m-b">
                    <button id="newGasketSave" class="btn btn-default btn-labeled btn-sm" type="button"><span class="btn-label"><i class="fa fa-check"></i></span>Сохранить прокладку</button>
                </div>
            </div>
        </div>	
</div>
</div>

