<link rel="stylesheet" href="<?= base_url(); ?>app/vendor/datatable/extensions/datatable-bootstrap/css/dataTables.bootstrap.css">
<link rel="stylesheet" href="<?= base_url(); ?>app/vendor/datatable/extensions/ColVis/css/dataTables.colVis.css">

<!-- Data Table Scripts-->
<script src="<?= base_url(); ?>app/vendor/datatable/media/js/jquery.dataTables.min.js"></script>
<script src="<?= base_url(); ?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrap.js"></script>
<script src="<?= base_url(); ?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrapPagination.js"></script>
<script src="<?= base_url(); ?>app/vendor/datatable/extensions/ColVis/js/dataTables.colVis.min.js"></script>

<h3>
    <?= $title; ?>
    <div class="pull-right">
        <?php if ($type): ?>
            <a href="<?= base_url(); ?>admin/offer/list/moderation" class="btn btn-default">На модерации</a>
        <?php else: ?>
            <a href="<?= base_url(); ?>admin/offer/list" class="btn btn-default">Проверенные</a>
        <?php endif; ?>
    </div>
</h3>

<?php
$countriesAll = config_item("countries");
$cats = config_item("cats");
?>

<div class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-md-4">
                <label>Выберите категорию</label>
                <div>
                    <select data-type="datatable_select" data-td-num="0" class="form-control">
                        <option value="0">Все</option>
                        <?php foreach ($cats AS $key => $value): ?>
                            <option value="<?= $key; ?>"><?= $value; ?></option>
<?php endforeach; ?>
                    </select>
                </div>
            </div>		
        </div>
    </div>
</div>

<!-- START panel-->
<div class="panel panel-default">

    <div class="panel-body">

        <!-- START table-responsive-->
        <div class="table-responsive">
            <table class="table table-bordered table-hover" id="table_offers">
                <thead>
                    <tr class="info">
                        <th class="hide"></th>
                        <th class="hide"></th>
                        <th class="col-md-2">Логотип</th>
                        <th>Название</th>
                        <th class="col-md-2">Действия</th>
                    </tr>
                </thead>
                <tbody>
<?php foreach ($result AS $offer): ?>
                        <tr>
                            <td class="hide"><?= $offer->id; ?></td>
                            <td class="hide">Все, <?= $cats[$offer->cat]; ?></td>
                            <td>
                                <div class="text-center">
                                    <a href="<?= base_url(); ?>offer/view/id/<?= $offer->id; ?>"><img src="<?= base_url(); ?><?= $offer->image; ?>" alt="Image" class="image-offers" /></a>
                                </div>
                            </td>
                            <td>
                                <a href="<?= base_url(); ?>offer/view/id/<?= $offer->id; ?>"><?= $offer->name; ?></a>				   
                            </td>
                            <td align="center">
                    <nobr>   
                        <a href="<?= base_url(); ?>admin/offer/edit/<?= $offer->id; ?>" class="btn btn-default">Ред.</a>
                        <?php if ($offer->type == '1'): ?>
                            <a href="<?= base_url(); ?>admin/offer/take_moderation/stop/<?= $offer->id; ?>" class="btn btn-default" onclick="if (!confirm('Вы уверены, что хотите остановить данный оффер?') return false; )">Остановить</a>
                        <?php else: ?>
                            <a href="<?= base_url(); ?>admin/offer/take_moderation/solve/<?= $offer->id; ?>" class="btn btn-default" onclick="if (!confirm('Вы уверены, что хотите запустить данный оффер?') return false; )">Запустить</a>
    <?php endif; ?>
                        <a href="<?= base_url(); ?>admin/offer/delete/<?= $offer->id; ?>" class="btn btn-danger" onclick="if (!confirm('Вы уверены, что хотите удалить оффер навсегда? Все заказы и статистика также удалится.') return false; )">Удалить навсегда</a>
                    </nobr>
                    </td>			   
                    </tr>
<?php endforeach; ?>
                </tbody>

            </table>
        </div>
        <!-- END table-responsive-->

    </div>

</div>
<!-- END panel-->
