<link rel="stylesheet" href="<?=base_url();?>app/vendor/chosen/chosen.min.css" />
<script src="<?=base_url();?>app/vendor/chosen/chosen.jquery.min.js"></script>

<link rel="stylesheet" href="<?=base_url();?>app/vendor/datatable/extensions/datatable-bootstrap/css/dataTables.bootstrap.css">
<link rel="stylesheet" href="<?=base_url();?>app/vendor/datatable/extensions/ColVis/css/dataTables.colVis.css">

<!-- Data Table Scripts-->
<script src="<?=base_url();?>app/vendor/datatable/media/js/jquery.dataTables.min.js"></script>
<script src="<?=base_url();?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrap.js"></script>
<script src="<?=base_url();?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrapPagination.js"></script>
<script src="<?=base_url();?>app/vendor/datatable/extensions/ColVis/js/dataTables.colVis.min.js"></script>
 
<script src="<?=base_url();?>app/vendor/moment/min/moment-with-langs.min.js"></script>
<script src="<?=base_url();?>app/vendor/datetimepicker/js/bootstrap-datetimepicker.min.js"></script>

<h3>
<?=$title;?>
</h3>


<div class="panel panel-default">
	<form method="post">
		<div class="panel-body">
			<div class="row">

					<div class="col-md-3">
						<select name='offer_id' class="form-control chosen-select">
							<option value="Любой">Выберите оффер</option>
							<?php foreach($offers AS $offer):?>
							<option value="<?=$offer->id;?>"<?=($offer_id == $offer->id ? " selected" : "");?>><?=$offer->name;?></option>
							<?php endforeach;?>
						</select>
					</div>		

					<div class="col-md-3">
						<div class="form-group">

							<div data-date-format="YYYY-MM-DD" data-pick-time="false" class="datetimepicker input-group date mb-lg">
								<input value="<?=$start_date?>" type="text" class="form-control" name="start_date" placeholder="Выводить с">
								<span class="input-group-addon">
								   <span class="fa-calendar fa"></span>
								</span>
							</div>

						</div>
					</div>
					<div class="col-md-3">
						<div class="form-group">

							<div data-date-format="YYYY-MM-DD" data-pick-time="false" class="datetimepicker input-group date mb-lg">
								<input value="<?=$finish_date?>" type="text" class="form-control" name="finish_date" placeholder="По">
								<span class="input-group-addon">
								   <span class="fa-calendar fa"></span>
								</span>
							</div>

						</div>
					</div>	
					<div class="col-md-3">
						<div class="form-group">

							<input placeholder="User ID" class="form-control" name="user_id" value="<?=$user_id;?>" />

						</div>
					</div>	
					<div class="col-md-3">
						<div class="form-group">
							<select name="status" class="form-control">
								<option value="0">Любой</option>
								<option value="-3"<?=($status == "-3" ? " selected" : "");?>>Отмененные</option>
								<option value="-2"<?=($status == "-2" ? " selected" : "");?>>Ожидающие</option>
								<option value="-1"<?=($status == "-1" ? " selected" : "");?>>Отклоненные</option>
								<option value="1"<?=($status == "1" ? " selected" : "");?>>Подтвержденные</option>
							</select>
						</div>
					</div>			
			</div>
		</div>
		<div class="panel-footer text-center">
			<button type="submit" class="btn btn-info">Поиск</button>
		</div>
	</form>
</div>

<!-- START panel-->
<div class="panel panel-default">

	<div class="panel-body">

	   <!-- START table-responsive-->
	   <div class="table-responsive">
	      <table data-table="true" class="table table-bordered table-hover">
		 <thead>
		    <tr class="info">
		       <th class="col-md-2">Дата / Время</th>
		       <th class="col-md-1 text-center">UserID</th>
		       <th class="col-md-2">Оффер</th>
		       <th class="">Откуда</th>
		       <th class="col-md-2">IP</th>
		       <th class="col-md-2">Браузер</th>
		       <th class="col-md-1">Страна</th>
		    </tr>
		 </thead>
		 <tbody>
			 <?php foreach($result AS $row):?>
				<?php
					$class = "";
					if($row->request_id > 0)
					{
						switch($row->request_status){
							case "-1": $class="danger"; break;
							case "1": $class="success"; break;
							default: $class="warning"; break;
						}
					}
				?>
				<tr class="<?=$class;?>">					
					<td>
						<div class="text-center"><?=$row->date . " в " . $row->time;?></div>
					</td>	
					<td class="text-center"><?=$row->user_id;?></td>
					<td>
						<div class="text-center">
							<span class="hide">Любой, <?=$row->name;?></span>
							<a target="_blank" href="<?=base_url();?>offer/view/id/<?=$row->offer_id;?>">
								<?=cut_words($row->name, 0, 15);?>
							</a>
						</div>
					</td>
					<td>
						<div class="text-center"><?=getNormalReferer($row->referer);?></div>
					</td>	
					<td>
						<div class="text-center"><?=long2ip($row->ip);?></div>
					</td>	
					<td>
						<div class="text-center"><?=$row->agent;?></div>
					</td>	
					<td>
						<div class="text-center"><?=$row->country_code;?></div>
					</td>					
				</tr>
			<?php endforeach;?>
		 </tbody>
		 
	      </table>
	   </div>
	   <!-- END table-responsive-->

	</div>
   
</div>
<!-- END panel-->
