<!DOCTYPE html>
<html lang="ru">

    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <title><?= $title; ?></title>

        <link rel="shortcut icon" href="<?= base_url(); ?>favicon.png" type="image/x-icon" />

        <link rel="stylesheet" href="<?= base_url(); ?>app/css/app.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/css/theme-a.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/fontawesome/css/font-awesome.min.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/simplelineicons/simple-line-icons.css">
        <script src="<?= base_url(); ?>app/vendor/jquery/jquery.min.js"></script>
        <script src="<?= base_url(); ?>app/vendor/bootstrap/js/bootstrap.min.js"></script>

        <script src="<?= base_url(); ?>app/vendor/fastclick/fastclick.js"></script>

        <script src="<?= base_url(); ?>app/js/app.js"></script>   

        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/datatable/extensions/datatable-bootstrap/css/dataTables.bootstrap.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/datatable/extensions/ColVis/css/dataTables.colVis.css">

        <!-- Data Table Scripts-->
        <script src="<?= base_url(); ?>app/vendor/datatable/media/js/jquery.dataTables.min.js"></script>
        <script src="<?= base_url(); ?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrap.js"></script>
        <script src="<?= base_url(); ?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrapPagination.js"></script>
        <script src="<?= base_url(); ?>app/vendor/datatable/extensions/ColVis/js/dataTables.colVis.min.js"></script>

        <script src="<?= base_url(); ?>app/vendor/moment/min/moment-with-langs.min.js"></script>
        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/datetimepicker/css/bootstrap-datetimepicker.min.css">
        <script src="<?= base_url(); ?>app/vendor/datetimepicker/js/bootstrap-datetimepicker.min.js"></script>

    </head>

    <body>

        <div id="isCollapsed" class="aside-collapsed">
            <div class="wrapper layout-fixed">

                <!-- START Top Navbar-->
                <nav role="navigation" class="navbar topnavbar ng-scope">
                    <!-- START navbar header-->
                    <div class="navbar-header">
                        <a href="<?= base_url() ?>" class="navbar-brand">
                            <div class="brand-logo">
                                <img src="<?= base_url(); ?>app/img/logo.png" alt="App Logo" class="img-responsive" />
                            </div>
                            <div class="brand-logo-collapsed">
                                <img src="<?= base_url(); ?>app/img/logo-single.png" alt="App Logo" class="img-responsive" />
                            </div>
                        </a>
                    </div>

                    <div class="nav-wrapper">
                        <!-- START Left navbar-->
                        <ul class="nav navbar-nav">

                            <li<?= ($this->uri->uri_string() == "cooperator/index/1" ? " class='active'" : ""); ?>><a href="<?= base_url(); ?>cooperator/index/1" title="Подтвержденные подтвержденные"><span class="item-text">Подтвержденные заявки</span></a></li>
                            <li<?= ($this->uri->uri_string() == "cooperator/index/0" ? " class='active'" : ""); ?>><a href="<?= base_url(); ?>cooperator/index/0" title="Ожидающие заявки"><span class="item-text">Ожидающие заявки</span></a></li>
                            <li<?= ($this->uri->uri_string() == "cooperator/index/-1" ? " class='active'" : ""); ?>><a href="<?= base_url(); ?>cooperator/index/-1" title="Отклоненные заявки"><span class="item-text">Отклоненные заявки</span></a></li>          
                            <li<?= ($this->uri->uri_string() == "cooperator/index/2" ? " class='active'" : ""); ?>><a href="<?= base_url(); ?>cooperator/index/2" title="Ошибки/Спам/Дубли"><span class="item-text">Ошибки/Спам/Дубли</span></a></li>          

                        </ul>
                        
                                            <!-- START Right Navbar-->
      <ul class="nav navbar-nav navbar-right">
         <!-- START Contacts button-->
         
         <li>
		<a tooltip-placement="left" tooltip="Выйти" href="<?=base_url();?>cooperator/logout">
			<em class="fa fa-share"></em>
		</a>
         </li>
      </ul>
                    </div>
                    <!-- END navbar header-->
                    

                </nav>

                <aside class="aside">
                    <div class="aside-inner">
                        <nav class="sidebar">

                            <ul class="nav">

                            </ul>
                            <!-- END sidebar nav-->
                        </nav>
                    </div>
                </aside>


                <!-- END Sidebar (left)-->

                <section>
                    <!-- Page content-->
                    <div autoscroll="false" class="content-wrapper">

                        <div class="panel panel-default">

                            <div class="panel-body">
                                <?php
                                $urls = config_item("status");
                                foreach ($urls[$this->uri->segment(3)] AS $key => $name) {
                                    echo "<a href='" . base_url() . "cooperator/index/" . $this->uri->segment(3) . "/" . $key . "'>" . $name . "</a>&nbsp;|&nbsp;";
                                }
                                ?>
                            </div>

                        </div>

                        <div class="panel panel-default">
                            <div class="panel-body">
                                <table class="table table-striped table-hover">
                                    <thead>
                                    <th class="col-md-2">Время</th>
                                    <th class="col-md-3">Продукт</th>
                                    <th>Фио</th>
                                    <th>Телефон</th>
                                    <th class="col-md-2 text-center">Действия</th>
                                    </thead>
                                    <tbody>
                                        <?php
                                        foreach ($requests AS $row):

                                            $info = json_decode($row->dop_info, true);
                                            $adress = '';

                                            if (isset($row->roaddress) and $row->roaddress!='') {                                             
                                                $adress = $row->roaddress;
                                            } elseif (array_key_exists ('address', $info)) {
                                                $adress = $info['address'];
                                            } elseif (array_key_exists ('adress', $info)) {
                                                $adress = $info['adress'];
                                            } else {
                                                $adress = '';
                                            }
                                      ?>

                                            <tr id="tr<?= $row->id; ?>" >

                                                <td data-name="time"><?= $row->date; ?> в <?= $row->time; ?></td>
                                                <td data-name="offer_name"><?= $row->offer_name; ?></td>
                                                <td data-name="fio"><?= (isset($row->rofio) ? $row->rofio : (isset($info['fio']) ? $info['fio'] : '')); ?></td>
                                                <td class="hide" data-name="rofio"><?= $row->rofio; ?></td>
                                                <td class="hide" data-name="rophone"><?= $row->rophone; ?></td>
                                                <td class="hide" data-name="price"><?= $row->price; ?> <?= $row->price_currency_title; ?></td>
                                                <td class="hide" data-name="city"><?= $row->city; ?></td>
                                                <td class="hide" data-name="address"><?= $adress; ?></td>
                                                <td class="hide" data-name="postcode"><?= $row->postcode; ?></td>
                                                <td class="hide" data-name="count"><?= $row->count; ?></td>
                                                <td class="hide" data-name="comment"><?= $row->comment; ?></td>
                                                <td class="hide" data-name="track"><?= $row->track; ?></td>
                                                <td class="hide" data-name="total"><?= $row->total; ?></td>
                                                <td class="hide" data-name="color"><?= $info['color']; ?></td>
                                                <td class="hide" data-name="upsale"><?= $row->upsale; ?></td>
                                                <td class="hide" data-name="oldstatus"><?= $row->status; ?></td>
                                                <td data-name="phone"><?= (isset($row->rophone) ? $row->rophone : $info['phone']); ?></td>
                                                <td>
                                                    <button data-id="<?= $row->id; ?>" data-toggle="modal" data-target="#start" class="buttonStart btn btn-default btn-sm"><i class="fa fa-headphones"></i> Начать обработку</button>
                                                    <?php if ($admin == true) { ?>
                                                        <a data-id="<?= $row->id; ?>" class="btn btn-inverse btn-sm deleteButton"><i class="fa fa-times"></i></a>
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>
                </section>

            </div>
        </div>

        <script>
            $(function () {

                var request_id = 0;
                var json = {};

                $("#confirmButton").click(function () {
                    json = {
                        request_id: request_id
                        , status: 1
                        , fio: $("[name='fio']").val()
                        , phone: $("[name='phone']").val()
                        , city: $("[name='city']").val()
                        , address: $("[name='address']").val()
                        , postcode: $("[name='postcode']").val()
                                //, date: $("[name='date']").val()
                                //, time: $("[name='time']").val()
                        , count: $("[name='count']").val()
                        , color: $("[name='color']").val()
                        , comment: $("[name='comment']").val()
                        , track: $("[name='track']").val()
                        , total: $("[name='total']").val()
                        , upsale: $("[name='upsale']").val()
                    };
                    change_status();
                });

                $("#cancelButton").click(function () {
                    json = {request_id: request_id, status: -1};
                    change_status();
                });

<?php if ($admin == true) { ?>
                    $(".deleteButton").click(function () {
                        if (confirm('Вы уверены что хотите отменить заявку?'))
                        {
                            request_id = $(this).attr("data-id");
                            json = {request_id: request_id, status: -3};
                            change_status();
                        }
                    });
<?php } ?>
                function change_status() {
                    if ($("body").find("#podStatus"))
                        json.podStatus = $("[name='podStatus']").val();
                    $.post("/cooperator/changeStatus", json, function (data) {
                        // alert(data);
                        $("#tr" + request_id).slideUp();
                    });
                }

                function refreshComments(id) {
                    $.post("../getHistory", {request_id: id}, function (data) {
                        //$("#commentHistoryPlace").slideUp(100, function(){
                        $("#commentHistoryPlace").html(data);
                        //	$(this).slideDown(500);
                        //});
                    });
                }
                //Кнопка, для открытия выбора комментариев и добавления
                $("#openAddCommentPlace").click(function () {
                    $(this).fadeOut(100, function () {
                        $("#addCommentPlace").slideDown(500);
                    });
                });
                //Кнопка, для открытия истории комментариев
                $("#openCommentHistoryPlace").click(function () {
                    $("#openCommentHistoryPlace").fadeOut(100, function () {
                        refreshComments(request_id);
                    });
                });
                function setOccupyRequest(request_id) {
                    $.get("/cooperator/setOccupyRequest/" + request_id, function (data) {

                    });
                }
                function isOccupyRequest(request_id) {
                    $.ajax({
                        url: "/cooperator/isOccupyRequest/" + request_id,
                        dataType: "json",
                        async: false,
                        success: function (data) {
                            ret = data;
                        }
                    });
                    return ret;
                }
                
                function isDenyReflect(request_id) {
                    $.ajax({
                        url: "/cooperator/isDenyReflect/" + request_id,
                        dataType: "json",
                        async: false,
                        success: function (data) {
                            ret = data;
                        }
                    });
                    return ret;
                }                
                
                $(".buttonStart").on('click', function () {
                    request_id = $(this).attr("data-id");
                    // занимаем заказ

                    
                    var occupy = isOccupyRequest(request_id);

                    if (occupy !== null) {
                        alert('Заказ открыт оператором ' + occupy.cooperator_name);
                        return false;
                    }
                    setOccupyRequest(request_id);

                    var info = $(this).parents("tr");
                    $("#addCommentPlace").hide();
                    $("#openAddCommentPlace").show();
                    $("#commentHistoryPlace").html("");
                    $("#openCommentHistoryPlace").show();
                    $("#product_name").html(info.find("td[data-name='offer_name']").text());
                    if (info.find("td[data-name='rofio']").text().length > 10)
                        $("#fio").val(info.find("td[data-name='rofio']").text());
                    else
                        $("#fio").val(info.find("td[data-name='fio']").text());
                    if (info.find("td[data-name='rophone']").text().length > 10)
                        $("#phone").val(info.find("td[data-name='rophone']").text());
                    else
                        $("#phone").val(info.find("td[data-name='phone']").text());
                    $("[name='city']").val(info.find("td[data-name='city']").text());
                    $("[name='address']").val(info.find("td[data-name='address']").text());
                    $("[name='postcode']").val(info.find("td[data-name='postcode']").text());
                    $("[name='count']").val(info.find("td[data-name='count']").text());
                    $("[name='color']").val(info.find("td[data-name='color']").text());
                    $("[name='track']").val(info.find("td[data-name='track']").text());
                    $("[name='total']").val(info.find("td[data-name='total']").text());
                    $("[name='comment']").val(info.find("td[data-name='comment']").text());
                    $("[name='upsale']").val(info.find("td[data-name='upsale']").text());

                    $("#time").html(info.find("td[data-name='time']").text());
                    $("#price").html(info.find("td[data-name='price']").text());
                });

                //Добавление нового комментария
                $("#addComment").click(function () {
                    var val = $("[name='comment']").val();
                    $.post("../setNewHistory", {request_id: request_id, comment: val}, function (data) {
                        $("#addCommentPlace").slideUp(500, function () {
                            $("#openAddCommentPlace").show();
                        });
                        $("#openCommentHistoryPlace").fadeOut(100);
                        refreshComments(request_id);
                    });
                });

                $("#saveCart").click(function () {
                    var stat = $("[name='status']").val();
                    if (stat == '1') {
                        json = {
                            request_id: request_id
                            , status: 1
                            , fio: $("[name='fio']").val()
                            , phone: $("[name='phone']").val()
                            , city: $("[name='city']").val()
                            , address: $("[name='address']").val()
                            , postcode: $("[name='postcode']").val()
                                    //, date: $("[name='date']").val()
                                    //, time: $("[name='time']").val()
                            , count: $("[name='count']").val()
                            , color: $("[name='color']").val()
                            , comment: $("[name='comment']").val()
                            , track: $("[name='track']").val()
                            , total: $("[name='total']").val()
                            , upsale: $("[name='upsale']").val()
                        };
                        change_status();
                        $('#start').modal('hide');
                    } else if (stat == '0' || stat == '-1' || stat == '2') {
                        if(stat=='-1') {
                            var denyReflect=isDenyReflect(request_id);
                            if (denyReflect == true) {
                                alert('Заказ был подтвержден более 24 часов назад. Его невозможно отменить');
                                return false;
                            }
                        }
                        if (confirm("Вы уверены?")) {
                            json = {
                                request_id: request_id
                                , status: stat
                                , fio: $("[name='fio']").val()
                                , phone: $("[name='phone']").val()
                                , city: $("[name='city']").val()
                                , address: $("[name='address']").val()
                                , postcode: $("[name='postcode']").val()
                                        //, date: $("[name='date']").val()
                                        //, time: $("[name='time']").val()
                                , count: $("[name='count']").val()
                                , color: $("[name='color']").val()
                                , comment: $("[name='comment']").val()
                                , track: $("[name='track']").val()
                                , total: $("[name='total']").val()
                                , upsale: $("[name='upsale']").val()
                            };
                            change_status();
                            $('#start').modal('hide');
                        }
                    }
                });
                $("#podStatus").hide();
                $("[name='status']").change(function () {
                    var value = $(this).val();
                    if (value === "all")
                    {
                        $("#podStatus").hide();
                    }
                    else
                    {
                        $.get("<?=config_item("base_url")?>cooperator/getStatus/" + value, function (data) {
                            var array = $.parseJSON(data);
                            $("[name='podStatus']").html("");
                            $.each(array, function (index, value) {
                                $("[name='podStatus']").append(
                                        "<option value='" + index + "'>" + value + "</option>"
                                        );
                            });
                            $("#podStatus").show();
                        });
                    }
                });

            });
        </script>

        <!-- START modal-->
        <div id="start" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" data-dismiss="modal" aria-hidden="true" class="close">×</button>
                        <h4 id="myModalLabel" class="modal-title">Обработка заявки</h4>
                    </div>
                    <div class="modal-body">
                        <div class="table-responsive">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <td class="col-md-4"><strong>Изменить статус:</strong></td>
                                        <td>
                                            <select name="status" class="form-control">
                                                <option value="all">Выберите</option>
                                                <option value="2">Ошибка/Спам/Дубль</option>
                                                <option value="-1">Отклонить</option>
                                                <option value="0">В ожидании</option>
                                                <option value="1">Подтвердить</option>
                                            </select>
                                        </td>
                                    </tr> 
                                    <tr id="podStatus">
                                        <td class="col-md-4"><strong>Выберите подкатегорию</strong></td>
                                        <td id="posStatusInfo">
                                            <select name="podStatus" class="form-control">
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="col-md-4"><strong>ФИО:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" id="fio" name="fio" placeholder="Иванов Иван Иванович" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="col-md-4"><strong>Телефон:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" id="phone" name="phone" placeholder="" />
                                        </td>
                                    </tr>	                                         
                                    <tr>
                                        <td class="col-md-4"><strong>Город:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="city" />
                                        </td>
                                    </tr>                                         
                                    <tr>
                                        <td class="col-md-4"><strong>Адрес:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="address" />
                                        </td>
                                    </tr>	
                                    <tr>
                                        <td class="col-md-4"><strong>Почтовый индекс:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="postcode" placeholder="Не обязательно" />
                                        </td>
                                    </tr>						 
                                    <tr>
                                        <td class="col-md-4"><strong>Количество:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="count" value="1" />
                                        </td>
                                    </tr>		
                                    <tr>
                                        <td class="col-md-4"><strong>Цвет:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="color" placeholder="Не обязательно" />
                                        </td>
                                    </tr>	                                         
                                    <tr>
                                        <td class="col-md-4"><strong>Track номер:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="track" placeholder="Не обязательно" />
                                        </td>
                                    </tr>	
                                    <tr>
                                        <td class="col-md-4"><strong>Цена:</strong></td>
                                        <td id="price"></td>
                                    </tr>                                           
                                    <tr>
                                        <td class="col-md-4"><strong>Итоговая стоимость:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="total" placeholder="" />
                                        </td>
                                    </tr>	                                         
                                    <tr>
                                        <td class="col-md-4"><strong>Комментарий:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="comment" placeholder="Не обязательно" />
                                            <span class="help-block">Можно написать любую информацию о клиенте или заказе</span>
                                        </td>
                                    </tr>   
                                    <tr>
                                        <td class="col-md-4"><strong>UpSale:</strong></td>
                                        <td class="col-md-8">
                                            <input class="form-control" name="upsale" placeholder="Не обязательно" />
                                        </td>
                                    </tr>  
                                    <!--
                                                                             <tr>
                                                                                     <td class="col-md-3"><strong>Новый комментарий:</strong></td>
                                                                                     <td id="comment_new">
                                                                                             <a id="openAddCommentPlace" class="btn btn-default">Добавить</a>
                                                                                             <div id="addCommentPlace">
                                                                                                 <div class="col-md-12"><input type="text" class="form-control" name="comment" /></div>
                                                                                                     <div class="col-md-12 mt-sm">
                                                                                                             <a id="addComment" class="btn btn-info">Добавить</a>
                                                                                                     </div>
                                                                                             </div>
                                                                                     </td>
                                                                             </tr>
                                                                             <tr>
                                                                                     <td id="history" class="col-md-12" colspan="2">
                                                                                             <a id="openCommentHistoryPlace" class="btn btn-default">Показать</a>
                                                                                             <div id="commentHistoryPlace"></div>
                                                                                     </td>
                                                                             </tr>	
                                    -->
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <div class="pull-right">
                            <button type="button" data-dismiss="modal" class="btn btn-default pull-left">Закрыть</button>
                        </div>
                        <div class="pull-left">
                            <!--
                                <a data-dismiss="modal" data-toggle="modal" data-target="#confirm" class="btn btn-success">Подтвердить</a>
                                <a id="cancelButton" data-dismiss="modal" onclick="return confirm('Вы уверены что хотите отклонить заявку?')" class="btn btn-danger">Отклонить</a>				
                            -->
                            <a id="saveCart" class="btn btn-success">Сохранить</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END modal-->

        <!-- START modal-->
        <div id="confirm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" data-dismiss="modal" aria-hidden="true" class="close">×</button>
                        <h4 id="myModalLabel" class="modal-title">Подтверждение заявки</h4>
                    </div>
                    <div class="modal-body">
                        <table class="table">
                            <tbody>

                            </tbody>
                        </table>
                    </div>

                    <div class="modal-footer">
                        <div class="pull-right">
                            <button type="button" data-dismiss="modal" class="btn btn-default pull-left">Закрыть</button>
                        </div>
                        <div class="pull-left">
                            <a data-dismiss="modal" id="confirmButton" class="btn btn-success">Подтвердить</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END modal-->

    </body>
</html>