<script src="<?=base_url();?>app/vendor/flot/jquery.flot.min.js"></script>
<script src="<?=base_url();?>app/vendor/flot/jquery.flot.tooltip.min.js"></script>
<script src="<?=base_url();?>app/vendor/flot/jquery.flot.resize.min.js"></script>
<script src="<?=base_url();?>app/vendor/flot/jquery.flot.pie.min.js"></script>
<script src="<?=base_url();?>app/vendor/flot/jquery.flot.time.min.js"></script>
<script src="<?=base_url();?>app/vendor/flot/jquery.flot.categories.min.js"></script>
<script src="<?=base_url();?>app/vendor/slimscroll/jquery.slimscroll.min.js"></script>

<h3><?=$title;?></h3>


<div class="row">
	<div class="col-lg-9 col-sm-9">
		
			<div class="row">
			      <!-- START widget-->
			      <div class="col-lg-4">
					<div class="panel widget bg-default">
					   <div class="row row-table">
					      <div class="col-xs-4 text-center bg-success-dark pv-lg">
						 <em class="fa fa-group fa-3x"></em>
					      </div>
					      <div class="col-xs-8 pv-lg">
						      <div class="h2 mt0"><?php echo getNormalMoney($transits_count, false);?></div>
						 <div class="text-uppercase">Посетителей</div>
					      </div>
					   </div>
					</div>
			      </div>
			      <div class="col-lg-4">
					<div class="panel widget bg-default">
					   <div class="row row-table">
					      <div class="col-xs-4 text-center bg-info-dark pv-lg">
						 <em class="fa fa-magnet fa-3x"></em>
					      </div>
					      <div class="col-xs-8 pv-lg">
						      <div class="h2 mt0"><?php echo getNormalMoney($requests_count, false);?></div>
						 <div class="text-uppercase">Заказов</div>
					      </div>
					   </div>
					</div>
			      </div>

			      <div class="col-lg-4">
					<div class="panel widget bg-default">
					   <div class="row row-table">
					      <div class="col-xs-4 text-center bg-warning-dark pv-lg">
						 <em class="fa fa-money fa-3x"></em>
					      </div>
					      <div class="col-xs-8 pv-lg">
						      <div class="h2 mt0"><?php echo getNormalMoney($requests_profit, false);?></div>
						 <div class="text-uppercase">Прибыли</div>
					      </div>
					   </div>
					</div>
			      </div>
			</div>
		
			<div class="row">
		
				<div class="col-md-12">

					<div class="panel panel-default">
						<div class="panel-heading">
						  <div class="panel-title">Статистика прибыли за 7 дней</div>
						</div>
						<div class="panel-body">
							  <div data-source="<?=base_url();?>webmaster/getForChart" class="chart-line flot-chart"></div>
						</div>
					</div>

				</div>
			</div>
		<!--
			<div class="row">
				<div class="col-md-12">
					<div class="panel panel-default">
						<div class="panel-heading">
						   <div class="panel-title">Новости</div>
						</div>
						<?php foreach($news->result() AS $row):?>
							<a href="#" class="list-group-item">
								<div class="media">
									<div class="media-body clearfix">
										<small class="pull-right text-muted"><?=date("d.m", $row->added);?></small>
										<strong class="media-heading text-primary"><?=(strlen($row->name) > 100 ? mb_substr($row->name, 0, 100) . "..." : $row->name);?></strong>
										<p class="mb-sm">
										   <small class="text-muted"><?=(strlen($row->text) > 200 ? mb_substr($row->text, 0, 200) . "..." : $row->text);?></small>
										</p>
									</div>
								</div>
							</a>
						<?php endforeach;?>
						<div class="panel-footer clearfix text-center">
							<a href="<?=base_url();?>news/">Список новостей</a>
						</div>
					</div>
				</div>
			</div>
		
			<div class="row">
				<div class="col-md-12">		
		
			<div class="panel panel-default">
				
				<div class="panel-heading">Новые офферы</div>
				
				<div class="list-group">
					<?php $countNewOffers = $newOffers->num_rows();
					$i = 0;
					foreach($newOffers->result() AS $offer):$i++;?>
					<div class="list-group-item">
						<div class="media">
							<div class="pull-left">
								<a href="<?=base_url();?>offer/view/id/<?=$offer->id;?>">
									<img src="<?=base_url() . $offer->image;?>" class="image-offers" />
								</a>
							</div>
							<div class="media-body clearfix">
								<div class="media-heading"><a href="<?=base_url();?>offer/view/id/<?=$offer->id;?>" class="m0"><?=$offer->name;?></a></div>
								<p class="m0">
									<small><?=$offer->small_descr;?></small>
								</p>
							</div>
						</div>
					</div>
					<?php endforeach;?>
				</div>
			</div>
				</div>
			</div>
			-->
	</div>
	<aside class="col-lg-3 col-sm-3">
			<div class="panel panel-default">
				<div class="panel-heading">
				  <div class="panel-title">Ваш личный менеджер</div>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-4">
							<img style="border-radius: 30px;" src="<?=base_url();?>app/img/operator.jpeg" width="60" />
						</div>
						<div class="col-md-8">
							<p><?=config_item("ticket_manager_name");?></p>
							<p><small>Skype: <?=config_item("ticket_skype");?></small></p>
						</div>
					</div>
					<br />
					<div class="row">
						<div class="col-md-12" align="center">
							<a class="btn btn-labeled btn-default" href="<?=base_url();?>tickets/add">
								<span class="btn-label">
									<i class="icon-earphones-alt"></i>
								</span>
								Написать
							</a>
						</div>
					</div>
				</div>
			</div>
		
		
	</aside>
	
</div>
