<!DOCTYPE html>
<html lang="ru">

<head>
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
   <title><?=$title;?></title>
   
   <link rel="shortcut icon" href="<?=base_url();?>favicon.png" type="image/x-icon" />
   
   <link rel="stylesheet" href="<?=base_url();?>app/css/app.css">
   <link rel="stylesheet" href="<?=base_url();?>app/css/theme-a.css">
   <link rel="stylesheet" href="<?=base_url();?>app/vendor/fontawesome/css/font-awesome.min.css">
   <link rel="stylesheet" href="<?=base_url();?>app/vendor/simplelineicons/simple-line-icons.css">
   <script src="<?=base_url();?>app/vendor/jquery/jquery.min.js"></script>
   <script src="<?=base_url();?>app/vendor/bootstrap/js/bootstrap.min.js"></script>
   
   <script src="<?=base_url();?>app/vendor/fastclick/fastclick.js"></script>
   
   <script src="<?=base_url();?>app/js/app.js"></script>   
</head>

<body>
	
<div id="isCollapsed" class="<?php echo $this->user_model->isCollapsed();?>">
<div class="wrapper layout-fixed">
    
    <!-- START Top Navbar-->
<nav role="navigation" class="navbar topnavbar ng-scope">
   <!-- START navbar header-->
   <div class="navbar-header">
      <a href="<?=base_url()?>" class="navbar-brand">
         <div class="brand-logo">
            <img src="<?=base_url();?>app/img/logo.png" alt="App Logo" class="img-responsive" />
         </div>
         <div class="brand-logo-collapsed">
            <img src="<?=base_url();?>app/img/logo-single.png" alt="App Logo" class="img-responsive" />
         </div>
      </a>
   </div>
   <!-- END navbar header-->
   <!-- START Nav wrapper-->
   <div class="nav-wrapper">
      <!-- START Left navbar-->
      <ul class="nav navbar-nav">
	      
               <li id="activatedCollapse">
                  <a href="#" data-toggle-state="aside-collapsed" class="hidden-xs">
                     <em class="fa fa-navicon"></em>
                  </a>
                  <a href="#" data-toggle-state="aside-toggled" class="visible-xs">
                     <em class="fa fa-navicon"></em>
                  </a>
               </li>	      
      </ul>
      <!-- END Left navbar-->
      <!-- START Right Navbar-->
      <ul class="nav navbar-nav navbar-right">
         <!-- START Contacts button-->
         <li>
            <a tooltip-placement="left" href="<?=base_url();?>webmaster/settings">
              <?=$this->user_model->info->login;?>
            </a>
         </li>         
         <li>
            <a tooltip-placement="left" href="<?=base_url();?>webmaster/balancepage">
               Баланс: <strong><?=getNormalMoney($this->user_model->info->money);?></strong> руб.
            </a>
         </li>
         <li>
            <a tooltip-placement="left" href="<?=base_url();?>webmaster/holdpage">
               Холд: <strong><?=getNormalMoney($this->webmaster_model->get_money_from_hold());?></strong> руб
            </a>
         </li>
         <li>
		<a tooltip-placement="left" tooltip="Выйти" href="<?=base_url();?>account/logout">
			<em class="fa fa-share"></em>
		</a>
         </li>
      </ul>
   </div>
</nav>

<aside class="aside">
<div class="aside-inner">
   <nav class="sidebar">
      
      <ul class="nav">
	      <li class="nav-heading">Главное меню</li>
	      <li<?=($this->uri->uri_string() == "webmaster" ? ' class="active"' : '');?>><a href="<?=base_url();?>webmaster/" title="Панель"><em class="fa fa-home"></em><span class="item-text">Панель</span></a></li>
	      <li<?=($this->uri->segment(1) == "news" ? ' class="active"' : '');?>>
		      <a href="<?=base_url();?>news/" title="Новости">
				<?php 
				  $count_unread_news = $this->db->get("news")->num_rows() - $this->user_model->info->view_news;
				  if($count_unread_news > 0):?>
				  <div class="label label-default pull-right">+<?=$count_unread_news;?></div>
				  <?php endif;?>
			      <em class="fa fa-bullhorn"></em><span class="item-text">Новости</span>
		      </a></li>
          <li<?=($this->uri->uri_string() == "webmaster/stat/list" ? ' class="active"' : '');?>><a href="<?=base_url();?>webmaster/stat/list" title="Статистика"><em class="fa fa-bar-chart-o"></em><span class="item-text">Статистика</span></a></li>
	  <li<?=($this->uri->uri_string() == "webmaster/flow/all" ? ' class="active"' : '');?>><a href="<?=base_url();?>webmaster/flow/all" title="Потоки"><em class="fa fa-random"></em><span class="item-text">Мои потоки</span></a></li>
          <li<?=($this->uri->uri_string() == "offer/list" ? ' class="active"' : '');?>><a href="<?=base_url();?>offer/list" title="Список офферов"><em class="fa fa-tasks"></em><span class="item-text">Список офферов</span></a></li>
          <li<?=($this->uri->uri_string() == "webmaster/offer/my" ? ' class="active"' : '');?>><a href="<?=base_url();?>webmaster/offer/my" title="Мои офферы"><em class="fa fa-cogs"></em><span class="item-text">Мои офферы</span></a></li>
          <li<?=($this->uri->uri_string() == "webmaster/money/payment" ? ' class="active"' : '');?>><a href="<?=base_url();?>webmaster/money/payment" title="Выплаты"><em class="fa fa-money"></em><span class="item-text">Выплаты</span></a></li>
          <li<?=($this->uri->segment(1) == "tickets" ? ' class="active"' : '');?>>
		  <a href="<?=base_url();?>tickets" title="Тикеты">
			  <?php 
			  $count_unread_tickets = $this->user_model->get_count_unread_tickets(0);
			  if($count_unread_tickets > 0):?>
			  <div class="label label-success pull-right">+<?=$count_unread_tickets;?></div>
			  <?php endif;?>
			  <em class="fa fa-question"></em><span class="item-text">Тикеты</span>
		  </a>
		  
	  </li>
	  <li<?=($this->uri->uri_string() == "webmaster/settings" ? ' class="active"' : '');?>><a href="<?=base_url();?>webmaster/settings" title="Настройки"><em class="fa fa-cog"></em><span class="item-text">Настройки</span></a></li>
      </ul>
      <!-- END sidebar nav-->
   </nav>
</div>
</aside>


<!-- END Sidebar (left)-->

<section>
   <!-- Page content-->
   <div autoscroll="false" class="content-wrapper">
       
