<?php

require_once '../api.php';

// устанавливаем API-HASH рекламодателя
$api = new Api("d346bf0ec5d9650af985994434e9d283");

// устанавливаем URL лендинга
// может быть:
// http://landing.ru
// http://landing.domen.ru
// http://domen.ru/landing

$base_url = "http://landing.domen.ru/rollex1";
$api->setBaseUrl($base_url);

$hash = $_GET["hash"];
if(!$hash) {
    $hash= $_COOKIE["hash"];
}
 
// определяем ХЭШ ПОТОКА вебмастера
$api->setFlowHash();
	
if (!isset($hash)) {

// записываем посещение и получаем ХЭШ ПОСЕЩЕНИЯ
    $result = $api->insertTransit();
     
    $hash = $result->transit_hash; 
	
// перенаправляем посетителя, если есть условие траффикбека
    if ($result->trafficback_url != '')
        header("Location: " . $result->trafficback_url);

}

if (isset($hash) AND strlen($hash) == 32) {
    $api->set_hash($hash);

    $api->getInfo();

    $metrika_id = $api->getMetrikaId();
    $mail_id = $api->getMailId();
    $google_id = $api->getGoogleId();

    // устанавливаем ПОСТКЛИК (дней)
    $api->setHashToCookie(30);

}
 
// в коде верстки устанавливаем абсолютные пути к файлам и картинкам, используя $base_url

if (isset($_GET['fio'])) {
    $fio = $_GET['fio'];
}
if (isset($_GET['phone'])) {
    $phone = $_GET['phone'];
}

?>  

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>


        <link rel="stylesheet" type="text/css" href="<?= $base_url ?>/css/form.css" />
        <script type="text/javascript">
            /*<![CDATA[*/
            document.write('<scr' + 'ipt type="text/javascript" src="//yandex.st/jquery/1.9.1/jquery.min.js">' + '</scr' + 'ipt>');
            document.write('<scr' + 'ipt type="text/javascript">lvjq1 = jQu' + 'ery.noConflict(true);</scr' + 'ipt>');
            /*]]>*/
        </script>
        <script type="text/javascript" src="<?= $base_url ?>/js/jquery.yiiactiveform.js"></script>
        <script type="text/javascript" src="<?= $base_url ?>/js/formHelper.js"></script>
        <script type="text/javascript" src="<?= $base_url ?>/js/placeholders.min.js"></script>
        <script type="text/javascript">
            /*<![CDATA[*/
            if (!window.leadvertex)
                window.leadvertex = {};
            /*]]>*/
        </script>
        <title>Rolex Daytona в России</title>
        <script type="text/javascript" src="<?= $base_url ?>/js/jquery-2.0.3.min.js"></script>
        <script type="text/javascript" src="<?= $base_url ?>/js/init.d.js"></script>
        <script type="text/javascript" src="<?= $base_url ?>/js/isMobile.js"></script>

        <link rel="stylesheet" type="text/css" media="screen" href="<?= $base_url ?>/css/fonts.css" />
        <link rel="stylesheet" type="text/css" media="screen" href="<?= $base_url ?>/css/g.css" />
        <link rel="stylesheet" type="text/css" media="screen" href="<?= $base_url ?>/css/p.css" />


        <script>
        $(document).ready(function () {
            $('.button_all').click(function () {
                var m = $(this).attr('data-type');
                $('#lv-form-additional1').val(m);
            });
        });
        </script>

    </head>
    <body>
        <?php if (isset($metrika_id)) : ?>
            <!-- Yandex.Metrika counter -->
            <script type="text/javascript">
                (function (d, w, c) {
                    (w[c] = w[c] || []).push(function () {
                        try {
                            w.yaCounter<?= $metrika_id; ?> = new Ya.Metrika({id:<?= $metrika_id; ?>,
                                clickmap: true,
                                trackLinks: true,
                                accurateTrackBounce: true});
                        } catch (e) {
                        }
                    });

                    var n = d.getElementsByTagName("script")[0],
                            s = d.createElement("script"),
                            f = function () {
                                n.parentNode.insertBefore(s, n);
                            };

                    s.type = "text/javascript";
                    s.async = true;
                    s.src = (d.location.protocol == "https:" ? "https:" : "http:") + "//mc.yandex.ru/metrika/watch.js";

                    if (w.opera == "[object Opera]") {
                        d.addEventListener("DOMContentLoaded", f, false);
                    } else {
                        f();
                    }
                })(document, window, "yandex_metrika_callbacks");
            </script>
            <noscript><div><img src="//mc.yandex.ru/watch/<?= $metrika_id; ?>" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
            <!-- /Yandex.Metrika counter -->
        <?php endif; ?>

        <?php if (isset($mail_id)) : ?>
            <!-- Rating@Mail.ru counter -->
            <script type="text/javascript">
                var _tmr = _tmr || [];
                _tmr.push({id: "<?= $mail_id; ?>", type: "pageView", start: (new Date()).getTime()});
                (function (d, w) {
                    var ts = d.createElement("script");
                    ts.type = "text/javascript";
                    ts.async = true;
                    ts.src = (d.location.protocol == "https:" ? "https:" : "http:") + "//top-fwz1.mail.ru/js/code.js";
                    var f = function () {
                        var s = d.getElementsByTagName("script")[0];
                        s.parentNode.insertBefore(ts, s);
                    };
                    if (w.opera == "[object Opera]") {
                        d.addEventListener("DOMContentLoaded", f, false);
                    } else {
                        f();
                    }
                })(document, window);
            </script><noscript><div style="position:absolute;left:-10000px;">
                <img src="//top-fwz1.mail.ru/counter?id=<?= $mail_id; ?>;js=na" style="border:0;" height="1" width="1" alt="Рейтинг@Mail.ru" />
            </div></noscript>
            <!-- //Rating@Mail.ru counter -->
        <?php endif; ?>

        <?php if (isset($google_id)) : ?>
            <!-- Google Analytics -->
            <script>
                (function (i, s, o, g, r, a, m) {
                    i['GoogleAnalyticsObject'] = r;
                    i[r] = i[r] || function () {
                        (i[r].q = i[r].q || []).push(arguments)
                    }, i[r].l = 1 * new Date();
                    a = s.createElement(o),
                            m = s.getElementsByTagName(o)[0];
                    a.async = 1;
                    a.src = g;
                    m.parentNode.insertBefore(a, m)
                })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

                ga('create', '<?= $google_id ?>', 'auto');
                ga('send', 'pageview');

            </script>
            <!-- End Google Analytics -->
        <?php endif; ?>
        <script type="text/javascript">
        /*<![CDATA[*/
        lvjq1(document).ready(function () {
            lvjq1(".lv-form-timezone").val(new Date().getTimezoneOffset());
        });
        if (!window.leadvertex.selling.delivery)
            window.leadvertex.selling.delivery = {};
        window.leadvertex.selling.delivery.price = 1800;
        window.leadvertex.selling.delivery.for_Each = false;

        if (!window.leadvertex.selling.price)
            window.leadvertex.selling.price = {};
        window.leadvertex.selling.price.price = 16900;
        window.leadvertex.selling.price.old = 34000;
        window.leadvertex.selling.quantity = 1;

        /*]]>*/
        </script>

        <div class="blackout">
            <style type="text/css">
                .blackout{
                    display: none;
                    position: fixed;
                    top: 0;left: 0;
                    width: 100%;
                    height: 100%;
                    z-index: 200000;
                    background-color: rgba(0,0,0,0.8);
                }
                .blackout_message{
                    position: relative;
                    background-color: #fff;
                    display: inline-block;
                    padding: 40px;
                    color: #000;
                    border-radius: 10px;
                }
                .mfp-close{
                    position:absolute !important;
                    font-size:100px !important;
                    color:#E0E0E0 !important;
                    right: -65px !important;
                    top: 10px !important;
                    cursor:pointer !important;
                    line-height:20px !important;
                    z-index:1113 !important;
                }
                .mfp-close:hover{color:#fff;}
            </style>
            <table cellspacing="0" cellpadding="0" width="100%" height="100%">
                <tr>
                    <td width="100%" height="100%" align="center">
                        <div class="blackout_message">
                            <div class="mfp-close btn_close">×</div>
                            <b class="fs_24">СПАСИБО ЗА ОБРАЩЕНИЕ, <span class="blackout_message__name"></span></b>
                            <i class="br20"></i>
                            <div class="fs_18">ВАША ЗАЯВКА УСПЕШНО ОТПРАВЛЕНА</div>
                            <i class="br20"></i>
                            <div class="fs_18">МЫ СВЯЖЕМСЯ С ВАМИ В БЛИЖАЙШЕЕ ВРЕМЯ</div>
                        </div>
                    </td>
                </tr>
            </table>
            <script type="text/javascript">
                var blackout = null,
                        mclose = null,
                        ClName = null;
                $(document).ready(function () {
                    blackout = $('.blackout');
                    mclose = $('.btn_close');
                    mclose.click(function () {
                        $(blackout).fadeOut(100);
                    });
                    $('input[data-pk_form_title="Имя"]').change(function () {
                        ClName = $(this).val();
                    });
                });
            </script>
        </div>
        <div class="blackout3">
            <style type="text/css">
                .blackout3{
                    display: none;
                    position: fixed;
                    top: 0;left: 0;
                    width: 100%;
                    height: 100%;
                    z-index: 199999;
                    background-color: rgba(0,0,0,0.8);
                }
                .blackout_message2{
                    position: relative;
                    background-color: #fff;
                    display: inline-block;
                    padding: 40px;
                    color: #000;
                    border-radius: 10px;
                }
                .blackout_message2 input[type="text"]{
                    border: 1px solid #888888;
                }
            </style>
            <table cellspacing="0" cellpadding="0" width="100%" height="100%">
                <tr>
                    <td width="100%" height="100%" align="center">
                        <div class="blackout_message2">
                            <div class="mfp-close btn_close2">×</div>
                            <div class="pk_form">
                                <i class="br20"></i>

                                <form class="lv-order-form lv-order-form-css" id="lv-form" action="<?= $base_url ?>/getform.php" method="post">
                                    <input value="<?= $base_url ?>" name="base_url" type="hidden" />

                                    <div class="lv-row lv-row-fio lv-row-input " data-name="fio" data-required="1"><div class="lv-label">
                                            <label for="lv-form-fio" class="required">ФИО <span class="required">*</span></label>
                                        </div><div class="lv-field">
                                            <input data-label="ФИО"   class="lv-input-fio"  name="Order[fio]" type="text" />
                                        </div>
                                    </div>
                                    <div class="lv-row lv-row-phone lv-row-input " data-name="phone" data-required="1"><div class="lv-label">
                                            <label for="lv-form-phone" class="required">Телефон <span class="required">*</span></label></div>
                                        <div class="lv-field">
                                            <input data-label="Телефон"   class="lv-input-phone input-phone"  name="Order[phone]" type="text" /></div>        

                                    </div>

                                    <div class="lv-form-submit"><input class="lv-order-button" type="submit" name="yt0" value="Оформить заказ" /></div>
                                </form>

                                <script>
                                    window.leadvertex.form.buttonText('Заказать сейчас', 1);
                                    window.leadvertex.form.placeholderOnly(1);
                                    window.leadvertex.form.validationByAlert(1);
                                </script>

                            </div>
                        </div>
                    </td>
                </tr>
            </table>
            <script type="text/javascript">
                var blackout3 = null,
                        mclose2 = null;
                function past_inp(h) {
                    $('.past_inp').remove();
                    $('.blackout_message2').find('.pk_form').prepend('<b class="fs_24 past_inp" style="display: block;text-align:left;">' + h + '</b>').append('<input type="text" class="past_inp" data-pk_form_title="Доп. информация" value="' + h + '" style="display:none;" />');
                }
                $(document).ready(function () {
                    blackout3 = $('.blackout3');
                    mclose2 = $('.btn_close2');
                    mclose2.click(function () {
                        $(blackout3).fadeOut(100);
                    });
                });
            </script>
        </div>
        <div class="body_wrapper_wrapper">
            <table class="body_wrapper" width="100%" cellspacing="0" cellpadding="0" heigth="100%">
                <tr>
                    <td heigth="100%" align="center">
                        <table class="root_table" cellspacing="0" cellpadding="0" width="100%">
                            <tr valign="top">
                                <td class="root_table__middle" align="center" height="100%">

                                    <div id="timer" style="display:none;"></div>

                                    <div class="sections section1 header">
                                        <div class="max_width">
                                            <table cellspacing="0" cellpadding="0" width="100%" class="fs_20">
                                                <tr>
                                                    <td class="nwrap" width="50%" valign="bottom">
                                                        <i>Часы, которые <br> олицетворяют статус</i>
                                                    </td>
                                                    <td align="center" width="1">
                                                        <img src="<?= $base_url ?>/i/logo.png" width="116" height="66" />
                                                    </td>
                                                    <td class="nwrap" align="right" width="50%" valign="bottom">
                                                        <div class="main_phone fs_24" style="opacity:0.6;"></div>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                    <script type="text/javascript">
                                        $(function () {

                                            var note = $('.note'),
                                                    ts = new Date(2016, 0, 1),
                                                    newYear = true;

                                            if ((new Date()) > ts) {
                                                ts = (new Date()).getTime() + 10 * 24 * 60 * 60 * 1000;
                                                newYear = false;
                                            }
                                            $('#timer').countdown({
                                                timestamp: ts,
                                                callback: function (days, hours, minutes, seconds) {
                                                    $('.timer').find('.num').each(function (i, elem) {
                                                        hours = hours + '';
                                                        minutes = minutes + '';
                                                        seconds = seconds + '';
                                                        if ($(elem).hasClass('hour')) {
                                                            $(elem).text(hours.length < 2 ? '0' + hours : hours);
                                                        }
                                                        if ($(elem).hasClass('minute')) {
                                                            $(elem).text(minutes.length < 2 ? '0' + minutes : minutes);
                                                        }
                                                        if ($(elem).hasClass('second')) {
                                                            $(elem).text(seconds.length < 2 ? '0' + seconds : seconds);
                                                        }
                                                    });
                                                }
                                            });

                                        });
                                    </script>


                                    <div class="sections section2" id="section2">
                                        <div class="max_width">
                                            <h1 class="fs_40 txt_align_c txt_color_white" style="padding:0;">Rolex Daytona - элитные часы<br />для настоящих мужчин</h1>
                                            <div class="txt_align_c fs_20"><i>уже в России</i></div>
                                            <i class="br60"></i>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr valign="top">
                                                    <td width="50%">
                                                        <div class="fs_25" style="color:#a8cacf;padding-left:25px;text-decoration:line-through;">6 877 руб</div>
                                                        <i class="br10"></i>
                                                        <div class="fs_40 bg_trans">2 990 руб</div>
                                                        <i class="br80"></i>
                                                        <div class="bg_trans" style="padding: 22px 25px 22px 80px;">
                                                            <img src="<?= $base_url ?>/i/n.gif" width="80" height="85" class="bg_trans_sprite bg_trans__img" />
                                                            Гарантия качества
                                                        </div>
                                                        <i class="br80"></i>
                                                        <div class="bg_trans" style="padding: 22px 25px 22px 80px;">
                                                            <img src="<?= $base_url ?>/i/n.gif" width="80" height="85" class="bg_trans_sprite bg_trans__img" style="background-position: -80px top;" />
                                                            Лидер на рынке России
                                                        </div>
                                                    </td>
                                                    <td width="50%" align="right">
                                                        <div class="form pk_form">
                                                            Закажи Rolex Daytona сейчас<br />и получите <b>скидку — 50% и кошелёк в подарок!</b>
                                                            <div style="padding: 0px 20px;">
                                                                <form class="lv-order-form lv-order-form-css"  id="lv-form2" action="<?= $base_url ?>/getform.php" method="post">
                                                                    <input value="<?= $base_url ?>" name="base_url" type="hidden" />
                                                                    <div class="lv-row lv-row-fio lv-row-input " data-name="fio" data-required="1">
                                                                        <div class="lv-label"><label for="lv-form2-fio" class="required">ФИО <span class="required">*</span></label></div>
                                                                        <div class="lv-field"><input data-label="ФИО" class="lv-input-fio"  name="Order[fio]" type="text" /></div>
                                                                    </div>
                                                                    <div class="lv-row lv-row-phone lv-row-input " data-name="phone" data-required="1">
                                                                        <div class="lv-label"><label for="lv-form2-phone" class="required">Телефон <span class="required">*</span></label></div>
                                                                        <div class="lv-field"><input data-label="Телефон"  class="lv-input-phone input-phone" maxlength="25" name="Order[phone]" type="text" /></div>
                                                                    </div>
                                                            </div>

                                                            <div class="lv-form-submit"><input class="lv-order-button" type="submit" name="yt1" value="Оформить заказ" /></div>
                                                            </form>

                                                            <script>
                                                                window.leadvertex.form.buttonText('Заказать сейчас', 2);
                                                                window.leadvertex.form.placeholderOnly(2);
                                                                window.leadvertex.form.validationByAlert(2);
                                                            </script>

                                                        </div>
                                                        <i class="br20"></i>
                                                        <div class="form__action fs_12">До конца акции осталось:</div>

                                                        <div class="timer">
                                                            <div class="timer__item num hour">12</div>
                                                            <div class="timer__item num minute">00</div>
                                                            <div class="timer__item num second">00</div>
                                                        </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br100"></i>
                                        </div>
                                        <div class="bg_trans_black">
                                            <div class="max_width">
                                                <table cellspacing="0" cellpadding="0" width="100%">
                                                    <tr valign="top">
                                                        <td width="33%" align="left">
                                                            <div class="bg_trans_black__item nums fs_56" style="line-height:40px;" data-num="2">0</div>
                                                            <div class="bg_trans_black__item fs_20" style="line-height:22px;">
                                                                ГОДА УСПЕШНОЙ<br />РАБОТЫ
                                                            </div>
                                                        </td>
                                                        <td width="34%" align="center">
                                                            <div class="bg_trans_black__item nums fs_56" style="line-height:40px;" data-num="3133">0</div>
                                                            <div class="bg_trans_black__item fs_20" style="line-height:22px;">
                                                                ДОСТАВОК<br />В СРОК
                                                            </div>
                                                        </td>
                                                        <td width="33%" align="right">
                                                            <div class="bg_trans_black__item nums fs_56" style="line-height:40px;" data-num="3133">0</div>
                                                            <div class="bg_trans_black__item fs_20" style="line-height:22px;">
                                                                ДОВОЛЬНЫХ<br />КЛИЕНТОВ
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <script type="text/javascript">
                                                    (function ($) {
                                                        $.fn.animateNumbers = function (stop, commas, duration, ease) {
                                                            return this.each(function () {
                                                                var $this = $(this);
                                                                var start = parseInt($this.text().replace(/,/g, ""));
                                                                commas = (commas === undefined) ? true : commas;
                                                                $({value: start}).animate({value: stop}, {
                                                                    duration: duration == undefined ? 1000 : duration,
                                                                    easing: ease == undefined ? "swing" : ease,
                                                                    step: function () {
                                                                        $this.text(Math.floor(this.value));
                                                                        if (commas) {
                                                                            $this.text($this.text().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1"));
                                                                        }
                                                                    },
                                                                    complete: function () {
                                                                        if (parseInt($this.text()) !== stop) {
                                                                            $this.text(stop);
                                                                            if (commas) {
                                                                                $this.text($this.text().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1"));
                                                                            }
                                                                        }
                                                                    }
                                                                });
                                                            });
                                                        };
                                                    })(jQuery);

                                                    $(document).ready(function () {
                                                        $("#section2").on("animate-it", function () {
                                                            var cf = $(this);
                                                            cf.find(".nums").each(function () {
                                                                var targetnumber = $(this).attr("data-num");
                                                                $(this).animateNumbers(targetnumber, true, 2000);
                                                            });
                                                        });
                                                        $("#section2").trigger("animate-it");
                                                    });
                                                </script>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="sections section3">
                                        <div class="max_width">
                                            <h1 class="fs_36">Rolex Daytona — часы, которые полюбил весь мир</h1>
                                            <div class="txt_align_c"><i class="fs_20 txt_color_grey">Олицетворение статуса и успеха, чувства стиля и вкуса, оригинальности и<br />самодостаточности</i></div>
                                            <i class="br60"></i>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr>
                                                    <td width="50%">
                                                        <img src="<?= $base_url ?>/i/whatch2.jpg" width="459" height="284" />
                                                    </td>
                                                    <td width="50%" style="padding-left:130px;">
                                                        <div class="section3__item"><img src="<?= $base_url ?>/i/n.gif" width="38" height="46" class="section3__item__img" />Быстрая доставка в любую точку России</div>

                                                        <div class="section3__item"><img src="<?= $base_url ?>/i/n.gif" width="38" height="46" class="section3__item__img section3__item__img2" />Оплата при получении лично в руки</div>

                                                        <div class="section3__item"><img src="<?= $base_url ?>/i/n.gif" width="38" height="46" class="section3__item__img section3__item__img3" />Гарантия 6 месяцев</div>
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section4">
                                        <div class="max_width fs_25 txt_align_c ptb30">
                                            Часы абсолютно водонепроницаемы, их корпус и браслет выполнены из ударопрочных конструкций, что надолго сохранит их от царапин и повреждений
                                        </div>
                                    </div>

                                    <div class="sections section5">
                                        <div class="max_width">
                                            <h1 class="fs_36">Почему Rolex Daytona это эталон мужских часов?</h1>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr valign="top">
                                                    <td width="33%" align="center">
                                                        <img src="<?= $base_url ?>/i/section5__img1.jpg" width="305" height="165" class="section5__img" />
                                                        <i class="br10"></i>
                                                        <b class="fs_20">Уникальный дизайн</b>
                                                        <i class="br20"></i>
                                                        Создание циферблата — это целое искусство, в котором не обойтись без художественного мастерства и самых новейших технологий. Rolex создала дизайн — подобие совершенства!
                                                    </td>
                                                    <td width="25"><img src="<?= $base_url ?>/i/n.gif" width="25" height="1" /></td>
                                                    <td width="34%" align="center">
                                                        <img src="<?= $base_url ?>/i/section5__img2.jpg" width="305" height="165" class="section5__img" />
                                                        <i class="br10"></i>
                                                        <b class="fs_20">Всемирная популярность</b>
                                                        <i class="br20"></i>
                                                        Часы ROLEX на сегодняшний день являются показателем успеха современного мужчины. Звёзды Голливуда, шоу-бизнеса, политики и спортсмены не могут ошибаться.
                                                    </td>
                                                    <td width="25"><img src="<?= $base_url ?>/i/n.gif" width="25" height="1" /></td>
                                                    <td width="33%" align="center">
                                                        <img src="<?= $base_url ?>/i/section5__img3.jpg" width="305" height="165" class="section5__img" />
                                                        <i class="br10"></i>
                                                        <b class="fs_20">Высочайшее качество</b>
                                                        <i class="br20"></i>
                                                        Корпус Rolex обладает повышенной устойчивостью к коррозии и сохраняют стойкость цвета. Их поверхность не восприимчива к царапинам и ударам.
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section6">
                                        <div class="max_width">
                                            <h1 class="fs_36">Самый желанный подарок 2015</h1>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr valign="top">
                                                    <td width="50%" class="pr30" align="right">
                                                        <img src="<?= $base_url ?>/i/section6__img.jpg" width="457" height="348" />
                                                        <i class="br20"></i>
                                                        <button class="button_all button_yellow fs_18" onclick="$(blackout3).fadeIn(100); past_inp('Rolex Daytona цвет: белый'); return false;" data-type="белый">Заказать сейчас</button>
                                                    </td>
                                                    <td width="50%" class="txt_color_grey">
                                                        <div class="fs_22">Думаете, что подарить?</div>
                                                        <i class="br20"></i>
                                                        <p>Другу, брату, дяде, отцу, коллеге по работе? Какой оригинальный подарок сделать чтобы он выделился среди остальных и запомнился надолго? А еще лучше — чтобы подарок регулярно приносил приятные воспоминания о Вас?</p>
                                                        <p>Подарите своим близким Пуленепробиваемые Мужские Часы Rolex Daytona, которые поразят всех своим уникальным и неповторимым дизайном! Увидев их, «виновник торжества» будет просто ошеломлен! Эти часы являются хорошим и стильным аксессуаром, они поражают оригинальностью, приковывают взгляды окружающих и отлично показывают время даже в темноте!</p>
                                                        <i class="br50"></i>
                                                        <div class="fs_22">Почему стоит заказать мужские часы Rolex Daytona прямо сейчас:</div>
                                                        <i class="br20"></i>
                                                        <ul class="dash_list">
                                                            <li>Работаем без предоплаты. Оплачиваете Посылку только при получении в Ваши руки</li>
                                                            <li>Доставим в ЛЮБУЮ точку России</li>
                                                            <li>Отправяем в день заказа</li>
                                                            <li>Товар есть в наличии всегда! Никаких долгих ожиданий</li>
                                                            <li>Быстрая доставка, от 2-х дней (зависит от города)</li>
                                                            <li>Скидка 50% на Часы Rolex Daytona</li>
                                                            <li>Гарантия 6 месяц с момента получения</li>
                                                            <li>Возврат денег, если товар не понравился</li>
                                                        </ul>
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section7">
                                        <div class="max_width">
                                            <a name="har"></a><h1 class="fs_36">Характеристики часов Rolex Daytona</h1>
                                            <div class="txt_align_c"><i class="fs_20 txt_color_grey">Часы Rolex Daytona оснащаются часовым механизмом нового поколения с хронографом и автоматическим подзаводом — калибр 4130 — собственной разработки и производства Rolex. Вобрав в себя запатентованные инновационные решения, этот первоклассный часовой механизм задает новые стандарты среди автоматических хронографов класса люкс в том, что касается прочности, надежности, эффективности, точности и простоты в обслуживании.</i></div>
                                            <i class="br40"></i>
                                            <div class="bg_white" style="border-radius: 10px;padding:35px;">
                                                <table cellspacing="0" cellpadding="0" width="100%">
                                                    <tr valign="top">
                                                        <td width="50%" align="center">
                                                            <img src="<?= $base_url ?>/i/whatch3.jpg" width="315" height="552" />
                                                        </td>
                                                        <td width="50%" class="pl30">
                                                            <b class="fs_20">Характеристика:</b>
                                                            <i class="br10"></i>
                                                            <div class="pl20">
                                                                <b class="txt_color_green">Бренд:</b> «ROLEX»;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Вид:</b> Наручные Часы;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Тип:</b> Механические, Мужские;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Механизм:</b> (IWC tm) механика с автоподзаводом (запас хода 32 часа (Австрия);
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Материал:</b> Полированная сталь с IPG 16k (золото) покрытием; сапфировое стекло;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Стекло:</b> Сапфировое, Износостойкое;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Функции:</b>Часы, Минуты, Секунды, Дата, День недели, Индикатор времени суток;<br />
                                                                <b class="txt_color_green">Особенности:</b> WR30 — механизм часов защищен от несильных брызг (как во время дождя или мытья рук);
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Браслет:</b> Стальной браслет с раскладывающейся застежкой;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Цвет:</b> Золото, Серебро;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Вес:</b> 150 г.
                                                            </div>
                                                            <i class="br50"></i>
                                                            <b class="fs_20">Размеры:</b>
                                                            <i class="br10"></i>
                                                            <div class="pl20">
                                                                <b class="txt_color_green">Длина Ремешка:</b> 240 мм;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Диаметр Циферблата:</b></b> 38 мм;
                                                                <i class="br5"></i>
                                                                <b class="txt_color_green">Толщина Циферблата:</b> 10 мм;
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section8">
                                        <div class="max_width">
                                            <h1 class="fs_36 txt_color_white">Часы Rolex Daytona co скидкой 50%</h1>
                                            <div style="display:inline-block;position:relative;left:360px;top:50px;">
                                                <div class="fs_25" style="color:#a8cacf;padding-left:25px;text-decoration:line-through;">6 877 руб</div>
                                                <i class="br10"></i>
                                                <div class="fs_40 bg_trans txt_color_white">2 990 руб</div>
                                            </div>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr>
                                                    <td width="50%">
                                                        <img src="<?= $base_url ?>/i/whatch4.png" width="489" height="284" />
                                                    </td>
                                                    <td width="50%" style="padding-left:130px;">
                                                        <div class="txt_align_c fs_20" style="color:#58786a;">До конца акции осталось:</div>
                                                        <i class="br5"></i>
                                                        <div class="timer">
                                                            <div class="timer__item num hour">12</div>
                                                            <div class="timer__item num minute">00</div>
                                                            <div class="timer__item num second">00</div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections form_section">
                                        <div class="bg_trans_black">
                                            <div class="max_width">
                                                <div class="form_section__h"><div class="form_section__h__txt">Оформить заказ</div></div>
                                                <div class="pk_form">

                                                    <form class="lv-order-form lv-order-form-css"  id="lv-form3" action="<?= $base_url ?>/getform.php" method="post">
                                                        <input value="<?= $base_url ?>" name="base_url" type="hidden" />
                                                        <div class="lv-row lv-row-fio lv-row-input " data-name="fio" >
                                                            <div class="lv-label"><label for="lv-form3-fio" class="required">ФИО <span class="required">*</span></label></div>
                                                            <div class="lv-field"><input data-label="ФИО" class="lv-input-fio"  name="Order[fio]" type="text" /></div>
                                                        </div>
                                                        <div class="lv-row lv-row-phone lv-row-input " data-name="phone">
                                                            <div class="lv-label"><label for="lv-form3-phone" class="required">Телефон <span class="required">*</span></label></div>
                                                            <div class="lv-field"><input data-label="Телефон" class="lv-input-phone input-phone" name="Order[phone]" type="text" /></div>
                                                        </div>
                                                        <div class="lv-form-submit"><input class="lv-order-button" type="submit" name="yt2" value="Оформить заказ" /></div>
                                                    </form>

                                                    <script>
                                                        window.leadvertex.form.buttonText('Заказать сейчас', 3);
                                                        window.leadvertex.form.placeholderOnly(3);
                                                        window.leadvertex.form.validationByAlert(3);
                                                    </script>

                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="sections section9">
                                        <div class="max_width" style="height:inherit;">
                                            <table cellspacing="0" cellpadding="0" width="100%" height="100%">
                                                <tr>
                                                    <td align="center" height="100%">
                                                        <div class="section9__stars fs_20">
                                                            <b>Они выбрали Rolex Daytona</b>
                                                            <i class="br5"></i>
                                                            <i>А что выберешь ты?</i>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>

                                    <div class="sections section10">
                                        <div class="max_width" style="height:inherit;">
                                            <a name="fizruk"></a><h1 class="fs_36 txt_color_white">Rolex Daytona - Часы, как у физрука!</h1>
                                            <div class="txt_align_c"><i class="fs_20 txt_color_white">У нас они есть. Они ждут тебя!</i></div>
                                            <div class="fs_25" style="color:#a8cacf;padding-left:25px;text-decoration:line-through;">6 877 руб</div>
                                            <i class="br10"></i>
                                            <div class="fs_40 bg_trans txt_color_white">2 990 руб</div>
                                            <i class="br30"></i>
                                            <div class="form txt_color_white pk_form">
                                                <img src="<?= $base_url ?>/i/whatch5.png" width="236" height="260" class="form__img" />
                                                <div style="width:280px;" class="txt_align_c">Закажи Rolex Daytona сейчас<br />и получите скидку — 50%</div>
                                                <div style="padding: 0px 20px;">
                                                    <div style="width:240px;">
                                                        <form class="lv-order-form lv-order-form-css"   id="lv-form4" action="<?= $base_url ?>/getform.php" method="post">
                                                            <input value="<?= $base_url ?>" name="base_url" type="hidden" />
                                                            <div class="lv-row lv-row-fio lv-row-input " data-name="fio" data-required="1">
                                                                <div class="lv-label"><label for="lv-form4-fio" class="required">ФИО <span class="required">*</span></label></div>
                                                                <div class="lv-field"><input data-label="ФИО"  class="lv-input-fio" name="Order[fio]" type="text" /></div>


                                                            </div>

                                                            <div class="lv-row lv-row-phone lv-row-input " data-name="phone" data-required="1">
                                                                <div class="lv-label"><label for="lv-form4-phone" class="required">Телефон <span class="required">*</span></label></div>
                                                                <div class="lv-field"><input data-label="Телефон" class="lv-input-phone input-phone" name="Order[phone]" type="text" /></div>


                                                            </div>
                                                            <div class="lv-form-submit"><input class="lv-order-button" type="submit" name="yt3" value="Оформить заказ" /></div>
                                                        </form>

                                                        <script>
                                                            window.leadvertex.form.buttonText('Заказать сейчас', 4);
                                                            window.leadvertex.form.placeholderOnly(4);
                                                            window.leadvertex.form.validationByAlert(4);
                                                        </script>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="sections section11">
                                        <div class="max_width">
                                            <h1 class="fs_36">Почему все покупают у нас?</h1>
                                            <div class="txt_align_c"><i class="fs_20">Товар есть в наличии всегда! Никаких долгих ожиданий.</i></div>
                                            <i class="br80"></i>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr valign="top">
                                                    <td width="25%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="70" height="80" class="section11__img" />
                                                        <i class="br10"></i>
                                                        Мы вам доверяем и не требуем с вас предоплаты. Вы оплачиваете свой заказ только при получении.
                                                    </td>
                                                    <td width="40"><img src="<?= $base_url ?>/i/n.gif" width="40" height="1" /></td>
                                                    <td width="25%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="76" height="80" class="section11__img section11__img2" />
                                                        <i class="br10"></i>
                                                        Доставка в 14 городов России осуществляется курьерами (срок 1−6 дней)
                                                    </td>
                                                    <td width="40"><img src="<?= $base_url ?>/i/n.gif" width="40" height="1" /></td>
                                                    <td width="25%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="70" height="80" class="section11__img section11__img3" />
                                                        <i class="br10"></i>
                                                        Доставка в  области России осуществляется первым классом!
                                                    </td>
                                                    <td width="40"><img src="<?= $base_url ?>/i/n.gif" width="40" height="1" /></td>
                                                    <td width="25%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="70" height="80" class="section11__img section11__img4" />
                                                        <i class="br10"></i>
                                                        Мы отправим ваш заказ уже сегодня. Товар есть в наличии всегда! Никаких долгих ожиданий.
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br80"></i>
                                            <table cellspacing="0" cellpadding="0" width="100%" class="plr120">
                                                <tr valign="top">
                                                    <td width="33%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="97" height="80" class="section11__img section11__img5" />
                                                        <i class="br10"></i>
                                                        Мы вам доверяем и не требуемс вас предоплаты. Вы оплачиваете свой заказ только при получении.
                                                    </td>
                                                    <td width="40"><img src="<?= $base_url ?>/i/n.gif" width="40" height="1" /></td>
                                                    <td width="33%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="76" height="80" class="section11__img section11__img6" />
                                                        <i class="br10"></i>
                                                        Доставка в 14 городов России осуществляется курьерами (срок 1−6 дней)
                                                    </td>
                                                    <td width="40"><img src="<?= $base_url ?>/i/n.gif" width="40" height="1" /></td>
                                                    <td width="33%" align="center">
                                                        <img src="<?= $base_url ?>/i/n.gif" width="70" height="80" class="section11__img section11__img7" />
                                                        <i class="br10"></i>
                                                        Доставка в  области России осуществляется первым классом!
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section12">
                                        <div class="max_width">
                                            <a name="kat"></a><h1 class="fs_36">Выбери свой Rolex Daytona</h1>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr valign="top">
                                                    <td width="33%" class="order_whatch">
                                                        <img src="<?= $base_url ?>/i/order_whatch_w.png" width="230" height="428" />
                                                        <i class="br20"></i>
                                                        <button class="button_all button_green fs_18" style="width:100%;" onclick="$(blackout3).fadeIn(100);  past_inp('Rolex Daytona цвет: белый'); return false;" data-type="белый">Заказать сейчас</button>
                                                    </td>
                                                    <td width="20"><img src="<?= $base_url ?>/i/n.gif" width="20" height="1" /></td>
                                                    <td width="33%" class="order_whatch">
                                                        <img src="<?= $base_url ?>/i/order_whatch_g.png" width="230" height="428" />
                                                        <i class="br20"></i>
                                                        <button class="button_all button_green fs_18" style="width:100%;" onclick="$(blackout3).fadeIn(100); past_inp('Rolex Daytona цвет: золотой'); return false;" data-type="золотой">Заказать сейчас</button>
                                                    </td>
                                                    <td width="20"><img src="<?= $base_url ?>/i/n.gif" width="20" height="1" /></td>
                                                    <td width="33%" class="order_whatch">
                                                        <img src="<?= $base_url ?>/i/order_whatch_b.png" width="230" height="428" />
                                                        <i class="br20"></i>
                                                        <button class="button_all button_green fs_18" style="width:100%;" onclick="$(blackout3).fadeIn(100); past_inp('Rolex Daytona цвет: чёрный'); return false;" data-type="черный">Заказать сейчас</button>
                                                    </td>
                                                </tr>
                                            </table>

                                            <i class="br50"></i>
                                            <div class="txt_align_c">
                                                <i class="fs_20">Вы приобретаете не просто элитные часы Rolex Daytona:</i>
                                                <i class="br50"></i>
                                                <div class="txt_color_grey">
                                                    <b>Олицетворение статуса и успеха</b>
                                                    <div class="separator"></div>
                                                    <b>Непревзойдённое качество</b>
                                                    <div class="separator"></div>
                                                    <b>Сочетание идеальной формы и функциональности</b>
                                                    <div class="separator"></div>
                                                    <b>Чувство стиля и вкуса</b>
                                                    <div class="separator"></div>
                                                    <b>Шедевр часового искусства</b>
                                                    <i class="br40"></i>
                                                    <span style="display:inline-block;width:100px;height:2px;background-color:#014c30;"></span>
                                                    <i class="br1"></i>
                                                    <i class="fs_20">Все еще думаете?</i>
                                                </div>
                                            </div>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section13">
                                        <div class="max_width">
                                            <h1 class="fs_36">Гарантии</h1>
                                            <div class="txt_align_c"><i class="fs_20">Мы не берем с Вас предоплату</i></div>
                                            <i class="br50"></i>
                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                <tr valign="top">
                                                    <td width="50%">
                                                        <img src="<?= $base_url ?>/i/sertificate.png" width="438" height="465" />
                                                    </td>
                                                    <td width="50%" class="pl30">
                                                        <div class="section13__item">
                                                            <img src="<?= $base_url ?>/i/n.gif" width="59" height="70" />
                                                            <b>Оплата при получении</b>
                                                            Мы не берем с Вас предоплату.
                                                            Оплата заказа осуществляется при получении в почтовом отделении.
                                                        </div>
                                                        <div class="section13__item">
                                                            <img src="<?= $base_url ?>/i/n.gif" width="59" height="70" class="section13__img2" />
                                                            <b>Гарантии на товар</b>
                                                            Перед отправкой товары проходят 100% проверку.
                                                            Мы вернем Вам деньги если что-то окажется не так.
                                                        </div>
                                                        <div class="section13__item">
                                                            <img src="<?= $base_url ?>/i/n.gif" width="59" height="70" class="section13__img3" />
                                                            <b>Мы соблюдаем Закон </b>
                                                            «О защите прав потребителей»
                                                            Вы вправе отказаться от покупки в течение 14 дней с момента получения заказа, не зависимо от причины возврата.
                                                            <i class="br20"></i>
                                                            Вы можете вернуть товар с недостатками в течение 2 месяцев с момента получения.
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                            <i class="br50"></i>
                                        </div>
                                    </div>

                                    <div class="sections section14">
                                        <div class="max_width">
                                            <a name="faq"></a><h1 class="fs_36">Вопросы и ответы</h1>
                                            <div style="background-color:#fff;border-radius:10px;box-shadow:0px 0px 10px -2px rgba(0,0,0,0.1);" class="plr30 ptb30">
                                                <ul class="accordion">
                                                    <li class="accordion__link"><b>Как мне будет доставлен заказ?</b></li>
                                                    <li class="accordion__txt">Заказ будет доставлен Вам курьером, если Вы находитесь в следующих городах: Алматы, Астана, Уральск, Атырау, Актау, Павлодар, Усть-Каменогорск, Актобе, Шымкент, Талдыкорган, Кустанай, Караганда, Жезказган, Семипалатинск в других случаях (включая села и областные центры) выслан Вам по почте наложенным платежом. Вы платите деньги только тогда, когда товар уже придет в ваше почтовое отделение.<i class="br10"></i></li>
                                                    <li class="accordion__link"><b>Что входит в комплект доставки?</b></li>
                                                    <li class="accordion__txt"> • Часы Rolex Daytona;<br>
                                                            <br>•     Плотная картонная коробка с наполнителем;<br><i class="br10"></i></li>
                                                                    <li class="accordion__link"><b>Как действует ваша гарантия?</b></li>
                                                                    <li class="accordion__txt">Если получив товар, Вы увидите, что упаковка или сам товар повреждены (хотя такого ещё не было), Вам достаточно просто позвонить нашим менеджерам по телефону, и мы бесплатно заменим Вам товар на новый. По Закону о Правах Потребителя вы также в течении 14 дней можете отказаться от покупки и мы вернем Вам полную стоимость оплаты заказа за исключением расходов на доставку. Мы заботимся о своей репутации, довольные клиенты для нас - на первом месте!<i class="br10"></i></li>
                                                                    </ul>
                                                                    </div>
                                                                    <i class="br50"></i>
                                                                    <script type="text/javascript">
                                                                        $(document).ready(function () {
                                                                            $(this).on('click', '.accordion__link', function () {
                                                                                if ($(this).next().hasClass('accordion__txt_active')) {
                                                                                    $(this).removeClass('accordion__link_active');
                                                                                    $(this).next().removeClass('accordion__txt_active');
                                                                                } else {
                                                                                    $(this).addClass('accordion__link_active');
                                                                                    $(this).next().addClass('accordion__txt_active');
                                                                                }
                                                                            });
                                                                        });
                                                                    </script>
                                                                    </div>
                                                                    </div>

                                                                    <div class="sections section15">
                                                                        <div class="max_width">
                                                                            <h1 class="fs_36">Как мы работаем</h1>
                                                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                                                <tr valign="top">
                                                                                    <td width="25%" align="center">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="79" height="78" class="section15__img" />
                                                                                        <i class="br20"></i>
                                                                                        Вы оставляете заявку
                                                                                    </td>
                                                                                    <td><i class="br30"></i><img src="<?= $base_url ?>/i/arrow_step.jpg" width="" height="" /></td>
                                                                                    <td width="25%" align="center">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="61" height="78" class="section15__img section15__img2" />
                                                                                        <i class="br20"></i>
                                                                                        С Вами связывется менеджер в течение 15 минут и уточняет детали
                                                                                    </td>
                                                                                    <td><i class="br30"></i><img src="<?= $base_url ?>/i/arrow_step.jpg" width="" height="" /></td>
                                                                                    <td width="25%" align="center">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="79" height="78" class="section15__img section15__img3" />
                                                                                        <i class="br20"></i>
                                                                                        Мы отправляем Вам товар
                                                                                    </td>
                                                                                    <td><i class="br30"></i><img src="<?= $base_url ?>/i/arrow_step.jpg" width="" height="" /></td>
                                                                                    <td width="25%" align="center">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="55" height="78" class="section15__img section15__img4" />
                                                                                        <i class="br20"></i>
                                                                                        Вы получаете часы и оплачиваете курьеру их стоимость
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <i class="br50"></i>
                                                                        </div>
                                                                    </div>

                                                                    <div class="sections section16">
                                                                        <div class="max_width">
                                                                            <h1 class="fs_36">С нами выгодно</h1>
                                                                            <i class="br80"></i>
                                                                            <div class="txt_align_r">
                                                                                <div class="section16__items txt_color_white">
                                                                                    <div class="section16__item">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="64" height="65" />
                                                                                        Доставка по всей России
                                                                                    </div>
                                                                                    <div class="section16__item">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="64" height="65" class="section16__img2" />
                                                                                        Гарантия на весь наш товар
                                                                                    </div>
                                                                                    <div class="section16__item">
                                                                                        <img src="<?= $base_url ?>/i/n.gif" width="64" height="65" class="section16__img3" />
                                                                                        Возврат в случае брака
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <i class="br50"></i>
                                                                        </div>
                                                                    </div>


                                                                    <div class="sections section8">
                                                                        <div class="max_width">
                                                                            <h1 class="fs_36 txt_color_white">Часы Rolex Daytona co скидкой 50%</h1>
                                                                            <div style="display:inline-block;position:relative;left:360px;top:50px;">
                                                                                <div class="fs_25" style="color:#a8cacf;padding-left:25px;text-decoration:line-through;">6 877 руб</div>
                                                                                <i class="br10"></i>
                                                                                <div class="fs_40 bg_trans txt_color_white">2 990 руб</div>
                                                                            </div>
                                                                            <table cellspacing="0" cellpadding="0" width="100%">
                                                                                <tr>
                                                                                    <td width="50%">
                                                                                        <img src="<?= $base_url ?>/i/whatch4.png" width="489" height="284" />
                                                                                    </td>
                                                                                    <td width="50%" style="padding-left:130px;">
                                                                                        <div class="txt_align_c fs_20" style="color:#58786a;">До конца акции осталось:</div>
                                                                                        <i class="br5"></i>
                                                                                        <div class="timer">
                                                                                            <div class="timer__item num hour">12</div>
                                                                                            <div class="timer__item num minute">00</div>
                                                                                            <div class="timer__item num second">00</div>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <i class="br50"></i>
                                                                        </div>
                                                                    </div>

                                                                    <div class="sections form_section">
                                                                        <div class="bg_trans_black">
                                                                            <div class="max_width">
                                                                                <div class="form_section__h"><div class="form_section__h__txt">Оформить заказ</div></div>
                                                                                <div class="pk_form">
                                                                                    <form class="lv-order-form lv-order-form-css"   id="lv-form5" action="<?= $base_url ?>/getform.php" method="post">

                                                                                        <input value="<?= $base_url ?>" name="base_url" type="hidden" />
                                                                                        <div class="lv-row lv-row-fio lv-row-input " data-name="fio" data-required="1">
                                                                                            <div class="lv-label"><label for="lv-form5-fio" class="required">ФИО <span class="required">*</span></label></div>
                                                                                            <div class="lv-field"><input data-label="ФИО" data-required="1" data-form-id="5" id="lv-form5-fio" class="lv-input-fio" name="Order[fio]" type="text" /></div>                                      

                                                                                        </div>
                                                                                        <div class="lv-row lv-row-phone lv-row-input " data-name="phone" data-required="1">
                                                                                            <div class="lv-label"><label for="lv-form5-phone" class="required">Телефон <span class="required">*</span></label></div>
                                                                                            <div class="lv-field"><input data-label="Телефон" id="lv-form5-phone" class="lv-input-phone input-phone"  name="Order[phone]" type="text" /></div>



                                                                                        </div>
                                                                                        <div class="lv-form-submit"><input class="lv-order-button" type="submit" name="yt4" value="Оформить заказ" /></div>
                                                                                    </form>

                                                                                    <script>
                                                                                        window.leadvertex.form.buttonText('Заказать сейчас', 5);
                                                                                        window.leadvertex.form.placeholderOnly(5);
                                                                                        window.leadvertex.form.validationByAlert(5);
                                                                                    </script>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>

                                                                    </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <i class="br20"></i>
                                                                            <div style="text-align:center;">Сайт не является публичной офертой | <a href="" onclick="$('.blackout2').show();
                          return false;">Политика конфиденциальности</a></div>
                                                                            <center> ООО "ТД "ГРИНС-Стайл" ОГРН 1117746196764 Дмитровское шоссе, д. 80Б </center>
                                                                            <i class="br20"></i>

                                                                        </td>   
                                                                    </tr>
                                                                    </table>
                                                                    </td>
                                                                    </tr>
                                                                    </table>
                                                                    <div class="blackout2" style="background:#fff;width:90%;height:90%;bottom:20px;right:20px;margin:auto;left:20px;position:fixed;display:none;z-index:10000;top:20px;border-radius:10px;box-shadow:0 0 20px rgba(0,0,0,0.4);padding:20px 100px 20px 20px;font-size: 14px;text-align: left;overflow-y:auto;">
                                                                        <div style="cursor:pointer;font-size:80px;line-height:50px;right:30px;top:20px;position:absolute;" onclick="$('.blackout2').hide();">×</div>
                                                                        <p>Администрация сайта http://kzshoping.kz/rollex1 (далее Сайт) с&nbsp;уважением относится к&nbsp;правам посетителей Сайта. Мы&nbsp;безоговорочно признаем важность конфиденциальности личной информации посетителей нашего Сайта. Данная страница содержит сведения о&nbsp;том, какую информацию мы&nbsp;получаем и&nbsp;собираем, когда&nbsp;Вы пользуетесь Сайтом. Мы&nbsp;надеемся, что эти сведения помогут Вам принимать осознанные решения в&nbsp;отношении предоставляемой нам личной информации.<br/><br/>
                                                                            Настоящая Политика конфиденциальности распространяется только на&nbsp;Сайт и&nbsp;на&nbsp;информацию, собираемую этим сайтом и&nbsp;через его посредство. Она не&nbsp;распространяется ни&nbsp;на&nbsp;какие другие сайты и&nbsp;не&nbsp;применима к&nbsp;веб-сайтам третьих лиц, с&nbsp;которых могут делаться ссылки на&nbsp;Сайт.<br/><br/>
                                                                            Сбор информации<br/>
                                                                            Когда Вы&nbsp;посещаете Сайт, мы&nbsp;определяем имя домена Вашего провайдера и&nbsp;страну (например, «aol.com») и&nbsp;выбранные переходы с&nbsp;одной страницы на&nbsp;другую (так называемую «активность потока переходов»).<br/><br/>
                                                                            Сведения, которые мы&nbsp;получаем на&nbsp;Сайте, могут быть использованы для того, чтобы облегчить Вам пользование Сайтом, включая, но&nbsp;не&nbsp;ограничиваясь: <br/>
                                                                            —&nbsp;организация Сайта наиболее удобным для пользователей способом <br/>
                                                                            —&nbsp;предоставление возможности подписаться на&nbsp;почтовую рассылку по&nbsp;специальным предложениям и&nbsp;темам, если&nbsp;Вы хотите получать такие уведомления <br/><br/>
                                                                            Сайт собирает только личную информацию, которую&nbsp;Вы предоставляете добровольно при посещении или регистрации на&nbsp;Сайте. Понятие «личная информация» включает информацию, которая определяет Вас как конкретное лицо, например, Ваше имя или адрес электронной почты. Тогда как просматривать содержание Сайта можно без прохождения процедуры регистрации, Вам потребуется зарегистрироваться, чтобы воспользоваться некоторыми функциями, например, оставить свой комментарий к&nbsp;статье.<br/><br/>
                                                                            Сайт применяет технологию «cookies» («куки») для создания статистической отчетности. «Куки» представляет собой небольшой объем данных, отсылаемый веб-сайтом, который браузер Вашего компьютера сохраняет на&nbsp;жестком диске Вашего&nbsp;же компьютера. В&nbsp;«cookies» содержится информация, которая может быть необходимой для Сайта,&nbsp;— для сохранения Ваших установок вариантов просмотра и&nbsp;сбора статистической информации по&nbsp;Сайту, т.е. какие страницы&nbsp;Вы посетили, что было загружено, имя домена интернет-провайдера и&nbsp;страна посетителя, а&nbsp;также адреса сторонних веб-сайтов, с&nbsp;которых совершен переход на&nbsp;Сайт и&nbsp;далее. Однако вся эта информация никак не&nbsp;связана с&nbsp;Вами как с&nbsp;личностью. «Cookies» не&nbsp;записывают Ваш адрес электронной почты и&nbsp;какие-либо личные сведения относительно Вас. Также данную технологию на&nbsp;Сайте использует установленный счетчик компании Spylog/LiveInternet/и т.п.<br/><br/>
                                                                            Кроме того, мы&nbsp;используем стандартные журналы учета веб-сервера для подсчета количества посетителей и&nbsp;оценки технических возможностей нашего Сайта. Мы&nbsp;используем эту информацию для того, чтобы определить, сколько человек посещает Сайт и&nbsp;организовать страницы наиболее удобным для пользователей способом, обеспечить соответствие Сайта используемым браузерам, и&nbsp;сделать содержание наших страниц максимально полезным для наших посетителей. Мы&nbsp;записываем сведения по&nbsp;перемещениям на&nbsp;Сайте, но&nbsp;не&nbsp;об&nbsp;отдельных посетителях Сайта, так что никакая конкретная информация относительно Вас лично не&nbsp;будет сохраняться или использоваться Администрацией Сайта без Вашего согласия<br/><br/>
                                                                            Чтобы просматривать материал без «cookies», Вы&nbsp;можете настроить свой браузер таким образом, чтобы она не&nbsp;принимала «cookies» либо уведомляла Вас об&nbsp;их&nbsp;посылке (различны, поэтому советуем Вам справиться в&nbsp;разделе «Помощь» и&nbsp;выяснить, как изменить установки машины по&nbsp;«cookies»).<br/><br/>
                                                                            Совместное использование информации.<br/>
                                                                            Администрация Сайта ни&nbsp;при каких обстоятельствах не&nbsp;продает и&nbsp;не&nbsp;отдает в&nbsp;пользование Вашу личную информацию, каким&nbsp;бы то&nbsp;ни&nbsp;было третьим сторонам. Мы&nbsp;также не&nbsp;раскрываем предоставленную Вами личную информацию за&nbsp;исключением случаев предусмотренных законодательством (укажите страну, где расположен сервер).<br/><br/>
                                                                            Отказ от&nbsp;ответственности<br/>
                                                                            Помните, передача информации личного характера при посещении сторонних сайтов, включая сайты компаний-партнеров, даже если веб-сайт содержит ссылку на&nbsp;Сайт или на&nbsp;Сайте есть ссылка на&nbsp;эти веб-сайты, не&nbsp;подпадает под действия данного документа. Администрация Сайта не&nbsp;несет ответственности за&nbsp;действия других веб-сайтов. Процесс сбора и&nbsp;передачи информации личного характера при посещении этих сайтов регламентируется документом «Защита информации личного характера» или аналогичным, расположенном на&nbsp;сайтах этих компаний. 
                                                                        </p>
                                                                    </div>
                                                                    </div>

                                                                    <script type="text/javascript" src="<?= $base_url ?>/js/validinputs.js"></script>
                                                                    <script type="text/javascript" src="<?= $base_url ?>/js/jquery.inputmask.js" >
                                                                    </script>
                                                                    <script type="text/javascript">

                                                                        $(document).ready(function () {
                                                                            $(".input-phone").inputmask("79999999999");
                                                                        });
                                                                    </script>

                                                                    </body>
                                                                    </html>