<?php
// название системы вида Domen.ru
$config['site_name'] = "Approve.kz";

// данные для копирайта на главной странице системы в подвале
$config['footer_date'] = "2015";
$config['footer_name'] = $config['site_name'];
$config['site_small_descr'] = "Партнерская программа с оплатой за результат";

// виды траффика для офферов
$config["places"] = array(
	"Веб-сайты",
	"Дорвеи",
	"Контекстная реклама",
	"Контекстная реклама на бренд",
	"Тизерная реклама",
	"Таргетированная реклама",
	"Социальные сети",
	"Email рассылка",
	"CashBack",
	"ClickUnderPopUnder",
	"Брокеры"
);

// статусы заявок для колл-центра
$config["status"] = array(
    "1"     =>  array(
                "1"     =>  "Подтвержден",
                "2"     =>  "Отправлен",
                "3"     =>  "Возврат",
                "4"     =>  "Подтвержден в крупные города",
                "5"     =>  "Подтвержден в мелкие города и поселки",
                "6"     =>  "Оплачен",
                "7"     =>  "Подтвержден, но не отправлен",
            ),
    "0"     =>  array( // или -2
                "1"     =>  "Новый заказ",
                "2"     =>  "Отключен/не дозвонились",
                "3"     =>  "Готов заказать, когда получит ЗП"
            ),
    "-1"    =>  array(
                "1"     =>  "Отклонен",
                "2"     =>  "Не устроила цена"
            ),
    "2"     =>  array(
                "1"     =>  "Ошибка/Спам/Дубль"
            )
);
//  "-3" => удалена админом

// типы офферов
$config['cats'] = array(
    '0' => 'Товары почтой',
    '1' => 'Интернет-магазины',
    '2' => 'Онлайн-игры',
    '3' => 'Одежда и обувь',
    '4' => 'Красота и здоровье',
    '5' => 'Услуги и сервисы',
    '6' => 'Аксессуары и украшения',
    '7' => 'Развлечения',
    '8' => 'Инфо-товары',
    '9' => 'Браузерные игры',
    '10' => 'Финансы и кредитование',
    '11' => 'Электроника и бытовая техника',
    '12' => 'Подарки и сувениры',
    '13' => 'Детские товары',
    '14' => 'Образование',
    '15' => 'Клиентские игры',
    '16' => 'Спорт и отдых',
    '17' => 'Установка приложений',
    '18' => 'Знакомства',
);

// гео офферов
$config['countries'] = array(
    '0' => 'Россия',
    '1' => 'Беларусь',
    '2' => 'Казахстан',
    '3' => 'Украина',
    '4' => 'Армения',
    '5' => 'Узбекистан',
    '6' => 'Азербайджан',
    '7' => 'Киргизия',
    '8' => 'Таджикистан',
    '9' => 'Туркменистан',
    '10' => 'Молдова'
);

$config['countries_code'] = array(
    'RU'	=>	'0',
    'RB'	=>	'1',
    'KZ'	=>	'2',
    'UA'	=>	'3'
);

//Регистрация открыта?
$config["open_reg"] = true;
 
/*
 * ФИНАНСЫ - минимальная сумма на вывод вебмастеру
 */
$config["min_payment"] = "1500";


/*
 * Тикеты - контакты техподдержки
 */
$config["ticket_skype"] = "Approvekz";
$config["ticket_phone"] = "+7 777 582 77 42";
$config["ticket_manager_name"] = "Дмитрий";


/*
 * Email - основной емейл, от которого будут приходить писма системы пользователям
 */
$config["site_email"] = "support@approve.kz";

$config["email_news"] = true; //Оповещение при создании новой новости
$config["email_recover_time"] = 60*15; // дается 15 минут чтобы восстановить пароль

/*
 * Офферы
 */
$config["change_status_advertiser"] = true;



/*
 * Call Центр
 */
$config["call_center_history_names"] = array(
    '0'	=>	'Абонент не берет труку/занят/недоступен',
    '1'	=>	'Попросил перезвонить в другое время',
    '2'	=>	'Передумал покупать',
    '3'	=>	'Не понравились условия доставки',
    '4'	=>	'Не понравилась цена товара',
);

// вебмастер по-умолчанию (к нему будут падать заявки с офферов без потока вебмастеров - если пользователь зашел на прямой домен)
$config["default_webmaster"] = 2;



// mailchimp.com API - отправка емейл-рассылки через mailchimp.com
$config['mailchimp_api_key'] = '';
$config['mailchimp_api_endpoint'] = 'https://us12.api.mailchimp.com/2.0/';
$config['mailchimp_list_id'] = '651222'; // ID базы (туда автоматически будут добавляться новые вебмастера при создании рассылки)
$config['mailchimp_list_id_test'] = 'b36222d2'; // ID тестовой базы
$config['mailchimp_template_id'] = '8233'; // ID шаблока рассылки

// емейл разработчика (для тестирования рассылки)
$config["developer_email"] = "alex@alexartamonov.ru";