<?php

class Edit_News extends CI_Controller{
	
	function index($news_id){	
   
		$this->load->library('form_validation');

		$this->form_validation->set_rules('offer_id', 'id', 'callback_check_offer');
		$this->form_validation->set_rules('name', 'тема', 'trim|required|max_length[100]|htmlspecialchars');
		$this->form_validation->set_rules('descr', 'текст', 'trim|required|htmlspecialchars');
                
                $this->load->model("user/admin/news_model", "news_model");
                
                $news=$this->news_model->getNews($news_id);
 
                
		if ($this->form_validation->run() == FALSE)
		{	
			$data = array(
					'title' => 'Редактирование новости',
                                        'news_title'=> $news->name,
                                        'news_text' => $news->text,
                                        'news_offer_id'=> $news->offer_id,
                                        'news_id'=>$news->id
				);
			$info = array(
			    "offers"	=>	$this->db->get("offers")->result()
			);

			$this->load->view("template/user/".$this->user_model->type."/head", $data);
			$this->load->view("pages/user/".$this->user_model->type."/news/edit_news", $info);
			$this->load->view("template/user/".$this->user_model->type."/foot");
		}
		else 
		{
		 
			//оповещение
			$alert = $this->input->post("alert") == "on" ? true : false;
			$this->news_model->edit_new($this->input->post('news_id'), $this->input->post('offer_id'), $this->input->post('name'), $this->input->post('descr'), $alert);
			
			redirect(base_url()."admin/news");
		}
	}
	
}