<?php

class Add_Offer extends CI_Controller {

    public function index() {

        $data = array(
            'title' => 'Добавление нового рекламного предложения'
        );

        // head
        $this->load->view("template/user/admin/head", $data);

        $this->load->library("form_validation");
        $this->load->model("offer/add_model", "addOffer");

        $config = array(
            array('field' => 'name', 'rules' => 'required'),
            array('field' => 'cat', 'rules' => 'required'),
            array('field' => 'small_descr', 'rules' => 'required'),
            array('field' => 'price', 'rules' => 'required'),
            array('field' => 'advertiser_id', 'rules' => 'required'),
            array('field' => 'countries', 'rules' => 'required'),
            array('field' => 'traffics', 'rules' => 'required'),
            array('field' => 'postclick', 'rules' => 'required'),
            array('field' => 'sex', 'rules' => 'required'),
            array('field' => 'age', 'rules' => 'required'),
            array('field' => 'private', 'rules' => 'required'),
            array('field' => 'pages', 'rules' => 'required'),
            array('field' => 'goals', 'rules' => 'required'),
        );

        $this->form_validation->set_rules($config);

        if ($this->form_validation->run() == FALSE) {
            $this->load->model("user/admin/user_admin_model", "userAdminModel");
            $adverts = $this->userAdminModel->getUserInfo(array(
                'select' => array('id', 'name', 'surname'),
                'type' => '1',
                'status' => '1'
            ));
            $data2 = array(
                'adverts' => $adverts
            );
            $this->load->view("pages/user/admin/offer/add", $data2);
        } else {

            $this->addOffer->add($this->input->post());
        }

        // foot
        $this->load->view("template/user/admin/foot");
    }

}
