<?php

// Список офферов

class List_admin extends CI_Controller
{
	
	function __construct() {
		parent::__construct();
		$this->load->model("offer/info_model", "offer_info");
	}
	
	function passed_moderation() {

		$data = array (
			'title' => 'Список офферов'
			);

		$this->load->view("template/user/admin/head", $data);

		$this->load->model("offer/info_model");

		$get = array(
			'type' => '1'	
			);

		$query = $this->db->from("offers")
				->where("type", "1")
				->order_by("added", "DESC")->get();
		
		$result = array("type" => 1, "result" => $query->result());

		$this->load->view("pages/user/admin/offer/list", $result);

		$this->load->view("template/user/admin/foot");
	}

	function not_passed_moderation() {

		$data = array (
			'title' => 'Офферы на модерации'
			);

		$this->load->view("template/user/admin/head", $data);

		$this->load->model("offer/info_model");

		$query = $this->db->from("offers")
				->where("type", "0")
				->order_by("added", "DESC")->get();
		
		$result = array("type" => 0, "result" => $query->result());

		$this->load->view("pages/user/admin/offer/list", $result);

		$this->load->view("template/user/admin/foot");
	}

    function delete($id = 0){
        $this->db->where("id", $id)->delete("offers");
        
        $this->db->where("offer_id", $id)->delete("flows");
        
        $this->db->where("offer_id", $id)->delete("gaskets");
        
        $this->db->where("offer_id", $id)->delete("goals");
        
        $this->db->where("offer_id", $id)->delete("pages");
        
        $this->db->where("offer_id", $id)->delete("requests");
        
        $this->db->where("offer_id", $id)->delete("transits");
        
        redirect(base_url() . "admin/offer/list");
    }
}

?>