<?php


class Private_admin extends CI_Controller{

    public function index(){

        $this->load->library('form_validation');

        $this->form_validation->set_rules('offer_id', 'offer_id', 'required');
        $this->form_validation->set_rules('user_id', 'user_id', 'required');

        if ($this->form_validation->run() == FALSE)
        {
            $data = array(
                'title' => 'Приватные офферы'
            );
            $info = array(
                "result"	=>	$this->db->select("o.name, op.offer_id, op.user_id")
                                            ->from("offers_private op")
                                            ->join("offers o", "o.id=op.offer_id", "left")
                                            ->get()->result()
            );

            $this->load->view("template/user/".$this->user_model->type."/head", $data);
            $this->load->view("pages/user/".$this->user_model->type."/offer/private", $info);
            $this->load->view("template/user/".$this->user_model->type."/foot");
        }
        else
        {

            $data = array(
                "offer_id"  =>  $this->input->post("offer_id"),
                "user_id"   =>  $this->input->post("user_id")
            );
            $this->db->insert("offers_private", $data);
            redirect(base_url() . "admin/offer/private");

        }
    }

    public function delete($offer_id = 0, $user_id = 0){
        $this->db->where("offer_id", $offer_id)->where("user_id", $user_id)->delete("offers_private");
        redirect(base_url() . "admin/offer/private");
    }

}