<?php

class Add_advert extends CI_Controller {

    public function index() {

        $this->load->library("form_validation");
        $data = array(
            "title" => "Добавить рекламодателя",
            "getform" => base_url() . "admin/user/add_advert/go"
        );


        $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
        $this->load->view("pages/user/admin/user/add_advertiser");
        $this->load->view("template/user/" . $this->user_model->type . "/foot");
    }

    public function go() {
        $info = array(
              "name" => checkStr($this->input->post("name"))
            , "surname" => checkStr($this->input->post("surname"))
            , "phone" => checkStr($this->input->post("phone"))
            , "skype" => checkStr($this->input->post("skype"))
            , "email" => checkStr($this->input->post("email"))
            , "money" => checkStr($this->input->post("money"))
            , "api_key" => checkStr($this->input->post("api_key"))
            , "type" => "1"
            , "status" => "1"
        );

        $new_password = $this->input->post("new_password");

        if ((isset($new_password)) and ( $new_password != '')) {
            $new_password = checkStr($new_password);
            $info['passhash'] = $this->user_model->getMD5($new_password);
        }
        
        $this->db->insert("users", $info);
        
        redirect(base_url() . "admin/users/advertisers");
    }

}
