<?php

/*
 * КАК ПРОИСХОДИТ ПОДКЛЮЧЕНИЕ ПРОКЛАДКИ ДЛЯ ЛЕНДИНГА
 * 1) Подключаем Jquery в прокладке
 * 2) Подключаем библиотеку Cookies
 * 3) При переходе по выданной ссылке, в GET параметре будет hash, 
 * его нужно записать в <input id="get_hash" value="<?=$_GET["hash"];?> type="hidden" />
 * 4) Запустить Jquery код, записав в cookies hash перехода, hash=$("#get_hash").val()
 * 5) И готово, после того, как пользователь перейдет на лендинг, передавать ничего не нужно
 */

class Record extends CI_Controller {
	
	public function __construct() {
		parent::__construct();
		$this->load->model("user/webmaster/record_model", "record_model");
		$this->load->library("user_agent");
	}
	
        // переход по ссылке потока, например http://approve.kz/U456J
	public function url($url = '', $utms = ''){
		$this->load->model("user/webmaster/country_model", "country_model");
		$data = array(
		    "referer"	=> $this->input->server("HTTP_REFERER"),
		    "ip"	=> ip2long($this->input->ip_address()),
		    "agent"	=> $this->agent->browser().' '.$this->agent->version(),
		    "date"	=> date("Y-m-d"),
		    "time"	=> date("H:i:s")
		);
		$data["country_code"] = $this->country_model->get(checkStr($this->input->ip_address(), false));
		if(trim($utms) != "")
		{
			preg_match("#data1=(.*)(&|$)#isU", $utms, $data1);
			preg_match("#data2=(.*)(&|$)#isU", $utms, $data2);
			if(count($data1) > 1)
				$data["data1"] = $data1[1];
			if(count($data2) > 1)
				$data["data2"] = $data2[1];
		}
		$result = $this->record_model->add($data, $url);
		if(is_array($result))
		{
			$url = $result["trafficback_url"];
			redirect($url);
		}
		else
		{
			if(trim($utms) == "")
				redirect($result);
			else
				redirect($result . "&" . $utms);
		}
	}
	
}
