<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?=$title;?></title>

    <link rel="shortcut icon" href="<?=base_url();?>favicon.png" type="image/x-icon" />
    
    <link href="landing/css/bootstrap.min.css" rel="stylesheet">
    <link href="landing/css/style.css" rel="stylesheet">
    <link href="http://daneden.github.io/animate.css/animate.min.css" rel="stylesheet">
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="landing/js/bootstrap.min.js"></script>
    <script src="landing/js/wow.min.js"></script>
    <script src="landing/js/jquery.nicescroll.js"></script>
    
    <script>
	    $(function(){
		    new WOW().init();
	    });
	</script>
    
  </head>
  <body data-spy="scroll">
	  
	<div class="navbar" role="navigation">
	  <div class="container">
	    <div class="navbar-header">
		    <a class="navbar-brand" href="<?=base_url();?>">
			    <img src="landing/images/brand.png" height="40"/>
				<div><?=config_item("site_small_descr");?></div>
		    </a>		    
		    
	    </div>
		<div class="mynavbar pull-right">
			<a href="/"<?=($this->uri->uri_string() == "" ? " class='active'" : "");?>>Главная</a>
			<a href="<?=base_url();?>for_advertisers"<?=($this->uri->uri_string() == "for_advertisers" ? " class='active'" : "");?>>Для рекламодателей</a>
			<!--<a href="../navbar-static-top/">Контакты</a>-->
			<a class="buttonRed" href="<?=base_url();?>account/login">Вход и регистрация</a>
		</div>
	  </div>
	</div>