<h3>
	<?php echo $ticket->title; ?>
	<div class="pull-right">
		<?php if($ticket->status == 1):?>
		<div class="label label-warning">Тикет закрыт</div>
		<?php else:?>
		<a class="btn btn-warning" href="<?=base_url()?>tickets/close/<?php echo $ticket->id; ?>">Закрыть тикет</a>	
		<?php endif;?>
	</div>
</h3>

<script>
$(function(){
	$("#addCommentForm").hide();
	$("#addComment").click(function(){
		if($("#addCommentForm").is(":visible"))
			return false;
		$("#addCommentForm").slideDown();
		$("#textComment").focus();
	});
	$("#textComment").focusout(function(){
		if($(this).val().length > 0)
			$.post("../addComment", {message: $("#textComment").val(), ticket_id: $("#ticket_id").val()}, function(data){
				$("#textComment").val("");
				$("#addCommentForm").slideUp();
				$("li.comment:last").after(data);
				$("li.comment:last").hide().slideDown();				
			});
		else
			$("#addCommentForm").slideUp();
	});
});
</script>
<input type="hidden" id="ticket_id" value="<?=$ticket->id;?>" />
<div id="newComment" style="display: none;">

</div>
           <ul class="timeline">
		   
		<?php 
		$isAdmin = in_array($this->user_model->info->type, array("2", "3"));
		foreach($result AS $row):?>
			<li class="comment <?=($row->author > 0 ? ' timeline-inverted' : "");?>">
			   <div class="timeline-badge <?=($row->author > 0 ? 'danger' : "primary");?>">
			      <em class="<?=($row->author > 0 ? 'fa fa-group' : "fa fa-male");?>"></em>
			   </div>
			   <div class="timeline-date">
			      <time datetime="<?php echo normal_time(strtotime($row->time));?>"></time>
			   </div>
			   <div class="timeline-panel">
			      <div class="popover <?=($row->author > 0 ? "right" : "left");?>">
				 <div class="arrow"></div>
				 <?php
					
					if($row->author > 0)
						$author = "Служба поддержки";
					else
						if($isAdmin)
							$author = "Написал " . $ticket->email;
						else
							$author = "Ваш ответ";
				 ?>
				 <h3 class="popover-title"><?=$author;?></h3>
				 <div class="popover-content">
				    <p>
					    <?php echo $row->text;?>
				    </p>
				 </div>
			      </div>
			   </div>
			</li>
		<?php endforeach;?>
			<li id="addCommentForm" class="comment <?=($isAdmin > 0 ? ' timeline-inverted' : "");?>">
			   <div class="timeline-badge <?=($isAdmin > 0 ? 'danger' : "primary");?>">
			      <em class="fa <?=($isAdmin > 0 ? 'fa-group' : "fa-male");?>"></em>
			   </div>
			   <div class="timeline-date">
			      <time datetime=""></time>
			   </div>
			   <div class="timeline-panel">
			      <div class="popover <?=($isAdmin > 0 ? 'right' : "left");?>">
				 <div class="arrow"></div>
				 <h3 class="popover-title"><?=($isAdmin > 0 ? 'Служба поддержки' : "Ваш ответ");?></h3>
				 <div class="popover-content">
				    <p>
						<div><textarea placeholder="Кликните за пределы поля, чтобы отправить" id="textComment" class="form-control col-md-12" rows="5"></textarea></div>
						<div class="clearfix"></div>
				    </p>
				 </div>
			      </div>
			   </div>
			</li>
			<?php if($ticket->status == "0"):?>
			<li>
			   <a id="addComment" href="#" class="timeline-badge">
			      <em class="fa fa-plus"></em>
			   </a>
			</li>
			<?php endif;?>
            </ul>