<link rel="stylesheet" href="<?=base_url();?>app/vendor/datatable/extensions/datatable-bootstrap/css/dataTables.bootstrap.css">
<link rel="stylesheet" href="<?=base_url();?>app/vendor/datatable/extensions/ColVis/css/dataTables.colVis.css">

<!-- Data Table Scripts-->
<script src="<?=base_url();?>app/vendor/datatable/media/js/jquery.dataTables.min.js"></script>
<script src="<?=base_url();?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrap.js"></script>
<script src="<?=base_url();?>app/vendor/datatable/extensions/datatable-bootstrap/js/dataTables.bootstrapPagination.js"></script>
<script src="<?=base_url();?>app/vendor/datatable/extensions/ColVis/js/dataTables.colVis.min.js"></script>


<h3>
	<?php echo $title; ?>
	<?php if($this->user_model->info->type == 3):?>
		<div class="pull-right">
			<a class="btn btn-default" href="<?=base_url();?>admin/news/add_news">Добавить новость</a>
		</div>
	<?php endif;?>
</h3>

<div class="panel panel-default">
	<div class="panel-body">
		<table class="table table-striped" data-table="true">
			<thead>
				<tr>
                                        <th class="hide"></th>
					<td>Новость</td>
					<td>Дата</td>
                                        <?php if($this->user_model->info->type == 3):?>
                                        <td>удалить</td>
                                        <?php endif; ?>
				</tr>
			</thead>
			<tbody>
				<?php foreach($result AS $row):?>
				<tr>
                                    <td class="hide"><?=$row->id;?></td>
					<td>
						<div class="media">
							<div class="media-body clearfix">
								
								<strong class="media-heading text-primary">
                                    <?php if($this->user_model->info->type == 3) { ?>
                                             <a  href="<?=base_url();?>admin/news/edit_news/<?=$row->id;?>"><?=$row->name;?></a>        
                                    <?php } else { ?>
                                    <?=$row->name;?>
                                    <?php } ?>
                                                                </strong>
								<p class="mb-sm">
									<small class="text-muted">
										<?php echo $row->text;?>
									</small>
								</p>
							</div>
						</div>
					</td>
					<td>
						<small class="text-muted"><?php echo normal_time($row->added);?></small>
					</td>
                                        <?php if($this->user_model->info->type == 3):?>
                                        <td><a href="<?=base_url();?>admin/news/delete_news/<?=$row->id;?>" class="btn btn-default" onclick="if(!confirm('Вы уверены, что хотите удалить новость?') return false;)">Удалить</a></td>
                                        <?php endif; ?>
				</tr>
				<?php endforeach;?>
			</tbody>
		</table>
	</div>
</div>