<script src="<?=base_url();?>app/vendor/wizard/js/bwizard.min.js"></script>
<script src="<?=base_url();?>app/vendor/parsley/parsley.min.js"></script>
<link rel="stylesheet" href="<?=base_url();?>app/vendor/slider/css/slider.css" />
<link rel="stylesheet" href="<?=base_url();?>app/vendor/chosen/chosen.min.css" />

<script>
$(function(){
	$("#postback_inform").click(function(){
		if($(this).next("div.slide_descr").attr("data-open") != "true")
		{
			$(this).next("div.slide_descr").removeClass("hide");
			$(this).next("div.slide_descr").attr("data-open", "true");
		}
		else
		{
			$(this).next("div.slide_descr").addClass("hide");
			$(this).next("div.slide_descr").attr("data-open", "false");
		}
	});
});
</script>

<h3><?=$title;?></h3>

<!-- START panel-->
<div class="panel panel-default">
   <div class="panel-body">
      <form enctype="multipart/form-data" action="" method="POST" data-parsley-validate>
         <div class="form-horizontal">
		<?php echo validation_errors("<div class='alert alert-danger'>", "</div>"); ?>
		<fieldset>
			<legend>Основные настройки</legend>
			<div class="form-group">
				<label class="col-sm-3 control-label">Название</label>
				<div class="col-sm-6">
					<input<?=($type == "edit" ? ' value="'.$info->name.'"' : '');?> placeholder="Введите название потока" type="text" class="form-control" name="name" required />
				</div>
			</div>
		</fieldset>
		 
		<fieldset>
			<div class="form-group">
				<label class="col-sm-3 control-label">Страница</label>
				<div class="col-sm-6">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th></th>
									<th>Название</th>
									<th>Ссылка</th>
									<th class="text-center">CR</th>
								</tr>
							</thead>
							<tbody>
								<?php foreach($pages AS $page):?>
								<tr>
									<td width="40px">
										<div class="radio c-radio" style="margin: -5px 0 0 5px;">
											<label>
												<input <?=($type == "edit" && $info->page_id == $page->id ? ' checked' : '');?> required data-parsley-errors-container=".errorBlock.pages" type="radio" name="page" value="<?=$page->id;?>" />
												<span class="fa fa-circle"></span>
											</label>
										</div>
									</td>
									<td><?=$page->name;?></td>
									<td><a href="<?=$page->url;?>" target="_blank"><?=$page->url;?></a></td>
									<td align="center"><?php echo getConversion($page->requests_count, $page->transits_count, false);?></td>
								</tr>
								<?php endforeach;?>
							</tbody>
						</table>
						<div class="errorBlock pages"></div>
					</div>
				</div>
			</div>							
		</fieldset>
		 <?php if(count($gaskets) > 0):?>
		<fieldset>
			<div class="form-group">
				<label class="col-sm-3 control-label">Прокладки</label>
				<div class="col-sm-6">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th></th>
									<th>Название</th>
									<th>Ссылка</th>
									<th class="text-center">CR</th>
								</tr>
							</thead>
							<tbody>
								<?php foreach($gaskets AS $page):?>
								<tr>
									<td width="40px">
										<div class="radio c-radio" style="margin: -5px 0 0 5px;">
											<label>
												<input <?=($type == "edit" && $info->gasket_id == $page->id ? ' checked' : '');?> type="radio" name="gasket" value="<?=$page->id;?>" />
												<span class="fa fa-circle"></span>
											</label>
										</div>
									</td>
									<td><?=$page->name;?></td>
									<td><a href="<?=$page->url;?>" target="_blank"><?=$page->url;?></a></td>
									<td align="center"><?php echo getConversion($page->requests_count, $page->transits_count, false);?></td>
								</tr>
								<?php endforeach;?>
							</tbody>
						</table>
						<div class="errorBlock pages"></div>
					</div>
				</div>
			</div>							
		</fieldset>		 
		 <?php endif;?>
		<fieldset>
			<div class="form-group">
				<label class="col-sm-3 control-label"></label>
				<div class="col-sm-6">
					<div class="checkbox c-checkbox" style="margin: -5px 0 0 5px;">
						<label>
							<input <?=($type == "edit" && $info->comebacker == "1" ? ' checked' : '');?> type="checkbox" name="comebacker" />
							<span class="fa fa-check"></span> Включить ComeBacker для транзитных страниц
						</label>
					</div>
					<div class="checkbox c-checkbox" style="margin: 10px 0 0 5px;">
						<label>
							<input <?=($type == "edit" && $info->newwindow == "1" ? ' checked' : '');?> type="checkbox" name="newwindow" />
							<span class="fa fa-check"></span> Открывать лендинги в новой вкладке
						</label>
					</div>					
				</div>
			</div>							
		</fieldset>			 
		<fieldset>
			<legend>Отслеживание и счетчики</legend>
			<div class="form-group">
				<label class="col-sm-3 control-label">№ Счетчика Метрики</label>
				<div class="col-sm-2">
					<input<?=($type == "edit" ? ' value="'.$info->metrika.'"' : '');?> placeholder="8 чисел" type="text" class="form-control" name="metrika" />
				</div>
			</div>
		</fieldset>
		<fieldset>
			<div class="form-group">
				<label class="col-sm-3 control-label">№ Счетчика Mail.ru</label>
				<div class="col-sm-2">
					<input<?=($type == "edit" ? ' value="'.$info->mail.'"' : '');?> placeholder="" type="text" class="form-control" name="mail" />
				</div>
			</div>
		</fieldset>	
		<fieldset>
			<div class="form-group">
				<label class="col-sm-3 control-label">№ Счетчика Google</label>
				<div class="col-sm-2">
					<input<?=($type == "edit" ? ' value="'.$info->google.'"' : '');?> placeholder="" type="text" class="form-control" name="google" />
				</div>
			</div>
		</fieldset>		 
		<fieldset>
			<legend>Настройки</legend>
			<div class="form-group">
				<label class="col-sm-3 control-label">TrafficBack URL</label>
				<div class="col-sm-6">
					<input<?=($type == "edit" ? ' value="'.$info->trafficback_url.'"' : '');?> placeholder="" type="text" class="form-control" name="trafficback_url" />
				</div>
			</div>
		</fieldset>
		<fieldset>
			<div class="form-group">
				<label class="col-sm-3 control-label">PostBack URL</label>
				<div class="col-sm-6">
					<input<?=($type == "edit" ? ' value="'.$info->postback_url.'"' : '');?> placeholder="" type="text" class="form-control" name="postback_url" />
					<br/>
					<div>
						<a href="javascript:void(0);" id="postback_inform">Информация</a>
						<div class="slide_descr hide">
							Параметр PostBack URL будет полезен, если Вам необходимо в автоматическом режиме получать информацию о совершенной конверсии. Например в случае если Вы ведете учет конверсий в сторонней системе статистики или отслеживаете конверсии на источниках трафика.
							<br/><br/>
							PostBack запрос будет отправлен на указанный адрес методом POST. Для передачи параметров в запрос, Вы можете использовать макросы указанные ниже.
							<br/><br/>
							Пример PostBack ссылки для передачи суммы заработока и субаккаунта:
							<br/><br/>
							http://example.com/mystat.php?myprofit={profit}
							<br/><br/>
							В момент перехода макрос {profit} будут заменен на соответствующее значения.
						
							<br/><br/><b>Макросы</b><br/><br/>
							<table class="table table-bordered">
								<tr>
									<td><i>{flow_id}</i></td>
									<td>ID потока</td>
								</tr>
								<tr>
									<td><i>{ip}</i></td>
									<td>IP лида</td>
								</tr>
								<tr>
									<td><i>{lead_id}</i></td>
									<td>ID лида</td>
								</tr>
								<tr>
									<td><i>{lead_date}</i></td>
									<td>Время лида</td>
								</tr>
								<tr>
									<td><i>{goal_id}</i></td>
									<td>ID цели</td>
								</tr>	
								<tr>
									<td><i>{goal_name}</i></td>
									<td>Название цели</td>
								</tr>	
								<tr>
									<td><i>{profit}</i></td>
									<td>Прибыль с заявки</td>
								</tr>	
								<tr>
									<td><i>{offer_id}</i></td>
									<td>ID оффера</td>
								</tr>	
								<tr>
									<td><i>{offer_name}</i></td>
									<td>Название оффера</td>
								</tr>									
							</table>								
						</div>
					</div>
				</div>
			</div>
		</fieldset>		 
		<fieldset>
			<legend>Информация</legend>
			<div class="col-sm-8 col-sm-offset-3">
				Для того, чтобы добавить к примеру utm-метки к странице перехода, нужно всего-лишь
				к выданной вам URL вставить нужную строку после слэша. <br/>
				Пример: <b>http://approve.kz/7sah7/</b>?utm_sourse=direct.yandex.ru&utm_term={keyword}
			</div>
		</fieldset>	
		<fieldset>
			<div class="col-sm-8 col-sm-offset-3">
				<b>Субаккаунты</b><br/>Чтобы воспользоваться субаккаунтами, нужно к вашей ссылке после слеша вставить
                                <BR /><u>?data1=</u>sub1&<u>data2=</u>sub2. Пример: <?=base_url();?>s7J71/?data1=test&data2=test2
			</div>
		</fieldset>		 

         </div>
	<div class="panel-footer text-center">
		<button type="submit" class="btn btn-info"><?=($type == "edit" ? 'Редактировать' : 'Добавить');?></button>
	</div>
	      
      </form>
   </div>
</div>