<h3><?=$title;?></h3>


<div class="row">
	
	<div class="col-md-12">
		<div class="panel panel-default">
			<form action="<?=base_url();?>webmaster/money/payment/OrderPayment" method="post">
			<div class="panel-body">
				<div class="form-horizontal">
							<fieldset>
								<div class="form-group">
									<label class="col-sm-2 control-label">Ваш кошелек</label>
									<div class="col-sm-6">
                                                                            <div class="form-control">
										<?=($this->user_model->info->wmr != "" ? $this->user_model->info->wmr : "WMR кошелек отсуствует");?>
                                                                            </div>
                                                                        </div>
								</div>
							</fieldset>                                    
							<fieldset>
								<div class="form-group">
									<label class="col-sm-2 control-label">Укажите сумму</label>
									<div class="col-sm-6">
										<input required id="sum" name="sum" type="text" class="form-control" placeholder="Сумма">
                                                                                <div>Выплата производится на ваш кошелек WMR, указанный в настройках профиля. Минимальная сумма выплаты - <?=(config_item("min_payment"));?></div>
									</div>
								</div>
							</fieldset>
                                                        <?php if(isset($errorText)):?>
                                                            <div class="alert alert-danger"><?=$errorText;?></div>
                                                        <?php endif;?>
				</div>
			</div>
			<div class="panel-footer text-center">
				<button type="submit" class="btn btn-info">Заказать выплату</button>
			</div>	
			</form>
		</div>
	</div>
	
</div>

<div class="row">
<div class="col-md-12">
<div class="panel panel-default">

   <div class="table-responsive">
      <table class="table table-bordered table-hover">
         <thead>
            <tr>
               <th class="col-md-3">Дата</th>
	       <th>Способ выплаты</th>
	       <th>Счет</th>
               <th>Сумма</th>
               <th class="col-md-2">Выплачен</th>
            </tr>
         </thead>
         <tbody>
		<?php foreach($result AS $p):?>
		 <tr>
			<td><?=normal_time(strtotime($p->time));?></td> 
			<td><?=$p->payment_type;?></td> 
			<td><?=$p->bill;?></td>
			<td><?=getNormalMoney($p->sum);?></td> 
			<td><?=($p->paid == "1" ? "Да" : "Ожидает");?></td> 
		 </tr>
		<?php endforeach;?>
         </tbody>
      </table>
   </div>
</div>
</div>
</div>