<!DOCTYPE html>
<html lang="ru">

<head>
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
   <title><?=$title;?></title>
   
   <link rel="shortcut icon" href="<?=base_url();?>favicon.png" type="image/x-icon" />
   
   <link rel="stylesheet" href="<?=base_url();?>app/css/app.css">
   <link rel="stylesheet" href="<?=base_url();?>app/css/theme-a.css">
   <link rel="stylesheet" href="<?=base_url();?>app/vendor/fontawesome/css/font-awesome.min.css">
   <link rel="stylesheet" href="<?=base_url();?>app/vendor/simplelineicons/simple-line-icons.css">
   <script src="<?=base_url();?>app/vendor/jquery/jquery.min.js"></script>
   <script src="<?=base_url();?>app/vendor/bootstrap/js/bootstrap.min.js"></script>
   
   <script src="<?=base_url();?>app/vendor/fastclick/fastclick.js"></script>
   
   <script src="<?=base_url();?>app/js/app.js"></script> 
</head>

<body>
<div id="isCollapsed" class="<?php echo $this->user_model->isCollapsed();?>">
<div class="wrapper layout-fixed">
    
    <!-- START Top Navbar-->
<nav role="navigation" class="navbar topnavbar">
   <!-- START navbar header-->
   <div class="navbar-header">
      <a href="#/" class="navbar-brand">
         <div class="brand-logo">
            <img src="<?=base_url();?>app/img/logo.png" alt="Перейти на главную" class="img-responsive" />
         </div>
         <div class="brand-logo-collapsed">
            <img src="<?=base_url();?>app/img/logo-single.png" alt="Перейти на главную" class="img-responsive" />
         </div>
      </a>
   </div>
   <!-- END navbar header-->
   <!-- START Nav wrapper-->
   <div class="nav-wrapper">
      <!-- START Left navbar-->
      <ul class="nav navbar-nav">
	      
               <li id="activatedCollapse">
                  <a href="#" data-toggle-state="aside-collapsed" class="hidden-xs">
                     <em class="fa fa-navicon"></em>
                  </a>
                  <a href="#" data-toggle-state="aside-toggled" class="visible-xs">
                     <em class="fa fa-navicon"></em>
                  </a>
               </li>
	      
      </ul>
      <!-- END Left navbar-->
      <!-- START Right Navbar-->
      <ul class="nav navbar-nav navbar-right">
         <!-- START Contacts button-->
         <li>
            <a tooltip-placement="left" href="<?=base_url();?>advertiser/balancepage">
               Баланс: <?=$this->user_model->info->money;?> руб
            </a>
         </li>
         <li>
		<a tooltip-placement="left" tooltip="Выйти" href="<?=base_url();?>account/logout">
			<em class="fa fa-share"></em>
		</a>
         </li>
         <!-- END Contacts menu-->
      </ul>
      <!-- END Right Navbar-->
   </div>
</nav>

<aside class="aside">
<div class="aside-inner">
   <nav class="sidebar">
       
       <!--START user info
       <div class="nav-heading">Информация</div>
       <div class="user_info">
           <div class="line">
                <div class="pull-left">Баланс</div>
                <div class="pull-right">0</div>
                <div class="clearfix"></div>
           </div>
           <div class="line">
                <div class="pull-left">Холд</div>
                <div class="pull-right">0</div>
                <div class="clearfix"></div>
           </div>           
           <div class="clearfix"></div>
       </div>
       <!--END user info-->
       
      <!-- START sidebar nav-->
      
      <ul class="nav">
	      <li class="nav-heading">Главное меню</li>
          <li<?=($this->uri->segment(2) == "" ? ' class="active"' : '');?>>
		  <a href="<?=base_url();?>advertiser/" title="Панель"><em class="fa fa-home"></em><span class="item-text">Панель</span></a>
	  </li>
          <li<?=($this->uri->uri_string() == "advertiser/offer/my" ? ' class="active"' : '');?>>
		  <a href="<?=base_url();?>advertiser/offer/my" title="Мои офферы"><em class="fa fa-tasks"></em><span class="item-text">Мои офферы</span></a>
	  </li>
          <li<?=($this->uri->uri_string() == "advertiser/finance" ? ' class="active"' : '');?>>
		  <a href="<?=base_url();?>advertiser/finance" title="Финансы">
			  <em class="fa fa-money"></em><span class="item-text">Финансы</span>
		  </a>
	  </li>
          <li<?=($this->uri->uri_string() == "advertiser/stat/list" ? ' class="active"' : '');?>>
		  <a href="<?=base_url();?>advertiser/stat/list" title="Статистика">
			  <em class="fa fa-money"></em><span class="item-text">Статистика</span>
		  </a>
	  </li>
          <li<?=($this->uri->uri_string() == "advertiser/stat/requests" ? ' class="active"' : '');?>>
		  <a href="<?=base_url();?>advertiser/stat/orders" title="Заказы">
			  <em class="fa fa-building-o"></em><span class="item-text">Заказы</span>
		  </a>
	  </li>
          <!--<li>
		<a href="#test" title="Настройки"><em class="fa fa-cogs"></em><span class="item-text">Настройки</span></a>
          </li>-->
          <!--<li><a href="#test" title="Финансы"><em class="fa fa-money"></em><span class="item-text">Финансы</span></a></li>
      --></ul>
      <!-- END sidebar nav-->
   </nav>
</div>
</aside>

<!-- END Sidebar (left)-->

<section>
   <!-- Page content-->
   <div autoscroll="false" class="content-wrapper">
       
